"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ByoIpPrefix = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleByoIpPrefix = new cloudflare.ByoIpPrefix("example_byo_ip_prefix", {
 *     accountId: "258def64c72dae45f3e4c8516e2111f2",
 *     asn: 209242,
 *     cidr: "192.0.2.0/24",
 *     loaDocumentId: "d933b1530bc56c9953cf8ce166da8004",
 * });
 * ```
 *
 * ## Import
 *
 * ```sh
 * $ pulumi import cloudflare:index/byoIpPrefix:ByoIpPrefix example '<account_id>/<prefix_id>'
 * ```
 */
class ByoIpPrefix extends pulumi.CustomResource {
    /**
     * Get an existing ByoIpPrefix resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new ByoIpPrefix(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ByoIpPrefix.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ByoIpPrefix.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["accountId"] = state ? state.accountId : undefined;
            resourceInputs["advertised"] = state ? state.advertised : undefined;
            resourceInputs["advertisedModifiedAt"] = state ? state.advertisedModifiedAt : undefined;
            resourceInputs["approved"] = state ? state.approved : undefined;
            resourceInputs["asn"] = state ? state.asn : undefined;
            resourceInputs["cidr"] = state ? state.cidr : undefined;
            resourceInputs["createdAt"] = state ? state.createdAt : undefined;
            resourceInputs["description"] = state ? state.description : undefined;
            resourceInputs["loaDocumentId"] = state ? state.loaDocumentId : undefined;
            resourceInputs["modifiedAt"] = state ? state.modifiedAt : undefined;
            resourceInputs["onDemandEnabled"] = state ? state.onDemandEnabled : undefined;
            resourceInputs["onDemandLocked"] = state ? state.onDemandLocked : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.accountId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'accountId'");
            }
            if ((!args || args.asn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'asn'");
            }
            if ((!args || args.cidr === undefined) && !opts.urn) {
                throw new Error("Missing required property 'cidr'");
            }
            if ((!args || args.loaDocumentId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'loaDocumentId'");
            }
            resourceInputs["accountId"] = args ? args.accountId : undefined;
            resourceInputs["asn"] = args ? args.asn : undefined;
            resourceInputs["cidr"] = args ? args.cidr : undefined;
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["loaDocumentId"] = args ? args.loaDocumentId : undefined;
            resourceInputs["advertised"] = undefined /*out*/;
            resourceInputs["advertisedModifiedAt"] = undefined /*out*/;
            resourceInputs["approved"] = undefined /*out*/;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["modifiedAt"] = undefined /*out*/;
            resourceInputs["onDemandEnabled"] = undefined /*out*/;
            resourceInputs["onDemandLocked"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(ByoIpPrefix.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ByoIpPrefix = ByoIpPrefix;
/** @internal */
ByoIpPrefix.__pulumiType = 'cloudflare:index/byoIpPrefix:ByoIpPrefix';
//# sourceMappingURL=byoIpPrefix.js.map