"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloudConnectorRules = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleCloudConnectorRules = new cloudflare.CloudConnectorRules("example_cloud_connector_rules", {
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     rules: [{
 *         id: "95c365e17e1b46599cd99e5b231fac4e",
 *         description: "Rule description",
 *         enabled: true,
 *         expression: "http.cookie eq \"a=b\"",
 *         parameters: {
 *             host: "examplebucket.s3.eu-north-1.amazonaws.com",
 *         },
 *         provider: "aws_s3",
 *     }],
 * });
 * ```
 *
 * ## Import
 *
 * ```sh
 * $ pulumi import cloudflare:index/cloudConnectorRules:CloudConnectorRules example '<zone_id>'
 * ```
 */
class CloudConnectorRules extends pulumi.CustomResource {
    /**
     * Get an existing CloudConnectorRules resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new CloudConnectorRules(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of CloudConnectorRules.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === CloudConnectorRules.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["rules"] = state ? state.rules : undefined;
            resourceInputs["zoneId"] = state ? state.zoneId : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.zoneId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'zoneId'");
            }
            resourceInputs["rules"] = args ? args.rules : undefined;
            resourceInputs["zoneId"] = args ? args.zoneId : undefined;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(CloudConnectorRules.__pulumiType, name, resourceInputs, opts);
    }
}
exports.CloudConnectorRules = CloudConnectorRules;
/** @internal */
CloudConnectorRules.__pulumiType = 'cloudflare:index/cloudConnectorRules:CloudConnectorRules';
//# sourceMappingURL=cloudConnectorRules.js.map