"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloudforceOneRequestMessage = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleCloudforceOneRequestMessage = new cloudflare.CloudforceOneRequestMessage("example_cloudforce_one_request_message", {
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     requestId: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 *     content: "Can you elaborate on the type of DoS that occurred?",
 * });
 * ```
 *
 * ## Import
 *
 * ```sh
 * $ pulumi import cloudflare:index/cloudforceOneRequestMessage:CloudforceOneRequestMessage example '<account_id>/<request_id>'
 * ```
 */
class CloudforceOneRequestMessage extends pulumi.CustomResource {
    /**
     * Get an existing CloudforceOneRequestMessage resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new CloudforceOneRequestMessage(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of CloudforceOneRequestMessage.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === CloudforceOneRequestMessage.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["accountId"] = state ? state.accountId : undefined;
            resourceInputs["author"] = state ? state.author : undefined;
            resourceInputs["content"] = state ? state.content : undefined;
            resourceInputs["created"] = state ? state.created : undefined;
            resourceInputs["isFollowOnRequest"] = state ? state.isFollowOnRequest : undefined;
            resourceInputs["requestId"] = state ? state.requestId : undefined;
            resourceInputs["updated"] = state ? state.updated : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.accountId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'accountId'");
            }
            if ((!args || args.requestId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'requestId'");
            }
            resourceInputs["accountId"] = args ? args.accountId : undefined;
            resourceInputs["content"] = args ? args.content : undefined;
            resourceInputs["requestId"] = args ? args.requestId : undefined;
            resourceInputs["author"] = undefined /*out*/;
            resourceInputs["created"] = undefined /*out*/;
            resourceInputs["isFollowOnRequest"] = undefined /*out*/;
            resourceInputs["updated"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(CloudforceOneRequestMessage.__pulumiType, name, resourceInputs, opts);
    }
}
exports.CloudforceOneRequestMessage = CloudforceOneRequestMessage;
/** @internal */
CloudforceOneRequestMessage.__pulumiType = 'cloudflare:index/cloudforceOneRequestMessage:CloudforceOneRequestMessage';
//# sourceMappingURL=cloudforceOneRequestMessage.js.map