"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentScanningExpression = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleContentScanningExpression = new cloudflare.ContentScanningExpression("example_content_scanning_expression", {
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     bodies: [{
 *         payload: "lookup_json_string(http.request.body.raw, \"file\")",
 *     }],
 * });
 * ```
 */
class ContentScanningExpression extends pulumi.CustomResource {
    /**
     * Get an existing ContentScanningExpression resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new ContentScanningExpression(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ContentScanningExpression.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ContentScanningExpression.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["bodies"] = state ? state.bodies : undefined;
            resourceInputs["payload"] = state ? state.payload : undefined;
            resourceInputs["zoneId"] = state ? state.zoneId : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.bodies === undefined) && !opts.urn) {
                throw new Error("Missing required property 'bodies'");
            }
            if ((!args || args.zoneId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'zoneId'");
            }
            resourceInputs["bodies"] = args ? args.bodies : undefined;
            resourceInputs["zoneId"] = args ? args.zoneId : undefined;
            resourceInputs["payload"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(ContentScanningExpression.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ContentScanningExpression = ContentScanningExpression;
/** @internal */
ContentScanningExpression.__pulumiType = 'cloudflare:index/contentScanningExpression:ContentScanningExpression';
//# sourceMappingURL=contentScanningExpression.js.map