"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.D1Database = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * !> When a D1 Database is replaced all the data is lost. Please ensure you have a
 *    backup of your data before replacing a D1 Database.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleD1Database = new cloudflare.D1Database("example_d1_database", {
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     name: "my-database",
 *     primaryLocationHint: "wnam",
 * });
 * ```
 *
 * ## Import
 *
 * ```sh
 * $ pulumi import cloudflare:index/d1Database:D1Database example '<account_id>/<database_id>'
 * ```
 */
class D1Database extends pulumi.CustomResource {
    /**
     * Get an existing D1Database resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new D1Database(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of D1Database.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === D1Database.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["accountId"] = state ? state.accountId : undefined;
            resourceInputs["createdAt"] = state ? state.createdAt : undefined;
            resourceInputs["fileSize"] = state ? state.fileSize : undefined;
            resourceInputs["name"] = state ? state.name : undefined;
            resourceInputs["numTables"] = state ? state.numTables : undefined;
            resourceInputs["primaryLocationHint"] = state ? state.primaryLocationHint : undefined;
            resourceInputs["readReplication"] = state ? state.readReplication : undefined;
            resourceInputs["uuid"] = state ? state.uuid : undefined;
            resourceInputs["version"] = state ? state.version : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.accountId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'accountId'");
            }
            if ((!args || args.name === undefined) && !opts.urn) {
                throw new Error("Missing required property 'name'");
            }
            resourceInputs["accountId"] = args ? args.accountId : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["primaryLocationHint"] = args ? args.primaryLocationHint : undefined;
            resourceInputs["readReplication"] = args ? args.readReplication : undefined;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["fileSize"] = undefined /*out*/;
            resourceInputs["numTables"] = undefined /*out*/;
            resourceInputs["uuid"] = undefined /*out*/;
            resourceInputs["version"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(D1Database.__pulumiType, name, resourceInputs, opts);
    }
}
exports.D1Database = D1Database;
/** @internal */
D1Database.__pulumiType = 'cloudflare:index/d1Database:D1Database';
//# sourceMappingURL=d1database.js.map