"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmailSecurityImpersonationRegistry = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleEmailSecurityImpersonationRegistry = new cloudflare.EmailSecurityImpersonationRegistry("example_email_security_impersonation_registry", {
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     email: "email",
 *     isEmailRegex: true,
 *     name: "name",
 * });
 * ```
 *
 * ## Import
 *
 * ```sh
 * $ pulumi import cloudflare:index/emailSecurityImpersonationRegistry:EmailSecurityImpersonationRegistry example '<account_id>/<display_name_id>'
 * ```
 */
class EmailSecurityImpersonationRegistry extends pulumi.CustomResource {
    /**
     * Get an existing EmailSecurityImpersonationRegistry resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new EmailSecurityImpersonationRegistry(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of EmailSecurityImpersonationRegistry.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === EmailSecurityImpersonationRegistry.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["accountId"] = state ? state.accountId : undefined;
            resourceInputs["comments"] = state ? state.comments : undefined;
            resourceInputs["createdAt"] = state ? state.createdAt : undefined;
            resourceInputs["directoryId"] = state ? state.directoryId : undefined;
            resourceInputs["directoryNodeId"] = state ? state.directoryNodeId : undefined;
            resourceInputs["email"] = state ? state.email : undefined;
            resourceInputs["externalDirectoryNodeId"] = state ? state.externalDirectoryNodeId : undefined;
            resourceInputs["isEmailRegex"] = state ? state.isEmailRegex : undefined;
            resourceInputs["lastModified"] = state ? state.lastModified : undefined;
            resourceInputs["name"] = state ? state.name : undefined;
            resourceInputs["provenance"] = state ? state.provenance : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.accountId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'accountId'");
            }
            if ((!args || args.email === undefined) && !opts.urn) {
                throw new Error("Missing required property 'email'");
            }
            if ((!args || args.isEmailRegex === undefined) && !opts.urn) {
                throw new Error("Missing required property 'isEmailRegex'");
            }
            if ((!args || args.name === undefined) && !opts.urn) {
                throw new Error("Missing required property 'name'");
            }
            resourceInputs["accountId"] = args ? args.accountId : undefined;
            resourceInputs["email"] = args ? args.email : undefined;
            resourceInputs["isEmailRegex"] = args ? args.isEmailRegex : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["comments"] = undefined /*out*/;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["directoryId"] = undefined /*out*/;
            resourceInputs["directoryNodeId"] = undefined /*out*/;
            resourceInputs["externalDirectoryNodeId"] = undefined /*out*/;
            resourceInputs["lastModified"] = undefined /*out*/;
            resourceInputs["provenance"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(EmailSecurityImpersonationRegistry.__pulumiType, name, resourceInputs, opts);
    }
}
exports.EmailSecurityImpersonationRegistry = EmailSecurityImpersonationRegistry;
/** @internal */
EmailSecurityImpersonationRegistry.__pulumiType = 'cloudflare:index/emailSecurityImpersonationRegistry:EmailSecurityImpersonationRegistry';
//# sourceMappingURL=emailSecurityImpersonationRegistry.js.map