import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleAccountApiTokenPermissionGroups = cloudflare.getAccountApiTokenPermissionGroups({
 *     accountId: "eb78d65290b24279ba6f44721b3ea3c4",
 * });
 * ```
 */
export declare function getAccountApiTokenPermissionGroups(args: GetAccountApiTokenPermissionGroupsArgs, opts?: pulumi.InvokeOptions): Promise<GetAccountApiTokenPermissionGroupsResult>;
/**
 * A collection of arguments for invoking getAccountApiTokenPermissionGroups.
 */
export interface GetAccountApiTokenPermissionGroupsArgs {
    /**
     * Account identifier tag.
     */
    accountId: string;
}
/**
 * A collection of values returned by getAccountApiTokenPermissionGroups.
 */
export interface GetAccountApiTokenPermissionGroupsResult {
    /**
     * Account identifier tag.
     */
    readonly accountId: string;
    /**
     * Public ID.
     */
    readonly id: string;
    /**
     * Permission Group Name
     */
    readonly name: string;
    /**
     * Resources to which the Permission Group is scoped
     */
    readonly scopes: string[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleAccountApiTokenPermissionGroups = cloudflare.getAccountApiTokenPermissionGroups({
 *     accountId: "eb78d65290b24279ba6f44721b3ea3c4",
 * });
 * ```
 */
export declare function getAccountApiTokenPermissionGroupsOutput(args: GetAccountApiTokenPermissionGroupsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAccountApiTokenPermissionGroupsResult>;
/**
 * A collection of arguments for invoking getAccountApiTokenPermissionGroups.
 */
export interface GetAccountApiTokenPermissionGroupsOutputArgs {
    /**
     * Account identifier tag.
     */
    accountId: pulumi.Input<string>;
}
