import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleAccountApiTokenPermissionGroupsList = cloudflare.getAccountApiTokenPermissionGroupsList({
 *     accountId: "eb78d65290b24279ba6f44721b3ea3c4",
 * });
 * ```
 */
export declare function getAccountApiTokenPermissionGroupsList(args: GetAccountApiTokenPermissionGroupsListArgs, opts?: pulumi.InvokeOptions): Promise<GetAccountApiTokenPermissionGroupsListResult>;
/**
 * A collection of arguments for invoking getAccountApiTokenPermissionGroupsList.
 */
export interface GetAccountApiTokenPermissionGroupsListArgs {
    /**
     * Account identifier tag.
     */
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getAccountApiTokenPermissionGroupsList.
 */
export interface GetAccountApiTokenPermissionGroupsListResult {
    /**
     * Account identifier tag.
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetAccountApiTokenPermissionGroupsListResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleAccountApiTokenPermissionGroupsList = cloudflare.getAccountApiTokenPermissionGroupsList({
 *     accountId: "eb78d65290b24279ba6f44721b3ea3c4",
 * });
 * ```
 */
export declare function getAccountApiTokenPermissionGroupsListOutput(args: GetAccountApiTokenPermissionGroupsListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAccountApiTokenPermissionGroupsListResult>;
/**
 * A collection of arguments for invoking getAccountApiTokenPermissionGroupsList.
 */
export interface GetAccountApiTokenPermissionGroupsListOutputArgs {
    /**
     * Account identifier tag.
     */
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
