import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleAccountDnsSettings = cloudflare.getAccountDnsSettings({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getAccountDnsSettings(args: GetAccountDnsSettingsArgs, opts?: pulumi.InvokeOptions): Promise<GetAccountDnsSettingsResult>;
/**
 * A collection of arguments for invoking getAccountDnsSettings.
 */
export interface GetAccountDnsSettingsArgs {
    /**
     * Identifier.
     */
    accountId: string;
}
/**
 * A collection of values returned by getAccountDnsSettings.
 */
export interface GetAccountDnsSettingsResult {
    /**
     * Identifier.
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly zoneDefaults: outputs.GetAccountDnsSettingsZoneDefaults;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleAccountDnsSettings = cloudflare.getAccountDnsSettings({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getAccountDnsSettingsOutput(args: GetAccountDnsSettingsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAccountDnsSettingsResult>;
/**
 * A collection of arguments for invoking getAccountDnsSettings.
 */
export interface GetAccountDnsSettingsOutputArgs {
    /**
     * Identifier.
     */
    accountId: pulumi.Input<string>;
}
