import * as pulumi from "@pulumi/pulumi";
import * as inputs from "./types/input";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleAccountDnsSettingsInternalView = cloudflare.getAccountDnsSettingsInternalView({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     viewId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getAccountDnsSettingsInternalView(args: GetAccountDnsSettingsInternalViewArgs, opts?: pulumi.InvokeOptions): Promise<GetAccountDnsSettingsInternalViewResult>;
/**
 * A collection of arguments for invoking getAccountDnsSettingsInternalView.
 */
export interface GetAccountDnsSettingsInternalViewArgs {
    /**
     * Identifier.
     */
    accountId: string;
    filter?: inputs.GetAccountDnsSettingsInternalViewFilter;
    /**
     * Identifier.
     */
    viewId?: string;
}
/**
 * A collection of values returned by getAccountDnsSettingsInternalView.
 */
export interface GetAccountDnsSettingsInternalViewResult {
    /**
     * Identifier.
     */
    readonly accountId: string;
    /**
     * When the view was created.
     */
    readonly createdTime: string;
    readonly filter?: outputs.GetAccountDnsSettingsInternalViewFilter;
    /**
     * Identifier.
     */
    readonly id: string;
    /**
     * When the view was last modified.
     */
    readonly modifiedTime: string;
    /**
     * The name of the view.
     */
    readonly name: string;
    /**
     * Identifier.
     */
    readonly viewId?: string;
    /**
     * The list of zones linked to this view.
     */
    readonly zones: string[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleAccountDnsSettingsInternalView = cloudflare.getAccountDnsSettingsInternalView({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     viewId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getAccountDnsSettingsInternalViewOutput(args: GetAccountDnsSettingsInternalViewOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAccountDnsSettingsInternalViewResult>;
/**
 * A collection of arguments for invoking getAccountDnsSettingsInternalView.
 */
export interface GetAccountDnsSettingsInternalViewOutputArgs {
    /**
     * Identifier.
     */
    accountId: pulumi.Input<string>;
    filter?: pulumi.Input<inputs.GetAccountDnsSettingsInternalViewFilterArgs>;
    /**
     * Identifier.
     */
    viewId?: pulumi.Input<string>;
}
