import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleApiShieldOperationSchemaValidationSettings = cloudflare.getApiShieldOperationSchemaValidationSettings({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     operationId: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 * });
 * ```
 */
export declare function getApiShieldOperationSchemaValidationSettings(args: GetApiShieldOperationSchemaValidationSettingsArgs, opts?: pulumi.InvokeOptions): Promise<GetApiShieldOperationSchemaValidationSettingsResult>;
/**
 * A collection of arguments for invoking getApiShieldOperationSchemaValidationSettings.
 */
export interface GetApiShieldOperationSchemaValidationSettingsArgs {
    operationId: string;
    zoneId: string;
}
/**
 * A collection of values returned by getApiShieldOperationSchemaValidationSettings.
 */
export interface GetApiShieldOperationSchemaValidationSettingsResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly mitigationAction: string;
    readonly operationId: string;
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleApiShieldOperationSchemaValidationSettings = cloudflare.getApiShieldOperationSchemaValidationSettings({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     operationId: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 * });
 * ```
 */
export declare function getApiShieldOperationSchemaValidationSettingsOutput(args: GetApiShieldOperationSchemaValidationSettingsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetApiShieldOperationSchemaValidationSettingsResult>;
/**
 * A collection of arguments for invoking getApiShieldOperationSchemaValidationSettings.
 */
export interface GetApiShieldOperationSchemaValidationSettingsOutputArgs {
    operationId: pulumi.Input<string>;
    zoneId: pulumi.Input<string>;
}
