import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleApiShieldSchemaValidationSettings = cloudflare.getApiShieldSchemaValidationSettings({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getApiShieldSchemaValidationSettings(args: GetApiShieldSchemaValidationSettingsArgs, opts?: pulumi.InvokeOptions): Promise<GetApiShieldSchemaValidationSettingsResult>;
/**
 * A collection of arguments for invoking getApiShieldSchemaValidationSettings.
 */
export interface GetApiShieldSchemaValidationSettingsArgs {
    /**
     * Identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getApiShieldSchemaValidationSettings.
 */
export interface GetApiShieldSchemaValidationSettingsResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * The default mitigation action used when there is no mitigation action defined on the operation
     */
    readonly validationDefaultMitigationAction: string;
    readonly validationOverrideMitigationAction: string;
    /**
     * Identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleApiShieldSchemaValidationSettings = cloudflare.getApiShieldSchemaValidationSettings({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getApiShieldSchemaValidationSettingsOutput(args: GetApiShieldSchemaValidationSettingsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetApiShieldSchemaValidationSettingsResult>;
/**
 * A collection of arguments for invoking getApiShieldSchemaValidationSettings.
 */
export interface GetApiShieldSchemaValidationSettingsOutputArgs {
    /**
     * Identifier.
     */
    zoneId: pulumi.Input<string>;
}
