import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleApiTokenPermissionGroupsList = cloudflare.getApiTokenPermissionGroupsList({});
 * ```
 */
export declare function getApiTokenPermissionGroupsList(args?: GetApiTokenPermissionGroupsListArgs, opts?: pulumi.InvokeOptions): Promise<GetApiTokenPermissionGroupsListResult>;
/**
 * A collection of arguments for invoking getApiTokenPermissionGroupsList.
 */
export interface GetApiTokenPermissionGroupsListArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getApiTokenPermissionGroupsList.
 */
export interface GetApiTokenPermissionGroupsListResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetApiTokenPermissionGroupsListResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleApiTokenPermissionGroupsList = cloudflare.getApiTokenPermissionGroupsList({});
 * ```
 */
export declare function getApiTokenPermissionGroupsListOutput(args?: GetApiTokenPermissionGroupsListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetApiTokenPermissionGroupsListResult>;
/**
 * A collection of arguments for invoking getApiTokenPermissionGroupsList.
 */
export interface GetApiTokenPermissionGroupsListOutputArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
