import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleArgoSmartRouting = cloudflare.getArgoSmartRouting({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getArgoSmartRouting(args: GetArgoSmartRoutingArgs, opts?: pulumi.InvokeOptions): Promise<GetArgoSmartRoutingResult>;
/**
 * A collection of arguments for invoking getArgoSmartRouting.
 */
export interface GetArgoSmartRoutingArgs {
    /**
     * Identifier
     */
    zoneId: string;
}
/**
 * A collection of values returned by getArgoSmartRouting.
 */
export interface GetArgoSmartRoutingResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Identifier
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleArgoSmartRouting = cloudflare.getArgoSmartRouting({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getArgoSmartRoutingOutput(args: GetArgoSmartRoutingOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetArgoSmartRoutingResult>;
/**
 * A collection of arguments for invoking getArgoSmartRouting.
 */
export interface GetArgoSmartRoutingOutputArgs {
    /**
     * Identifier
     */
    zoneId: pulumi.Input<string>;
}
