import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleAuthenticatedOriginPullsCertificates = cloudflare.getAuthenticatedOriginPullsCertificates({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getAuthenticatedOriginPullsCertificates(args: GetAuthenticatedOriginPullsCertificatesArgs, opts?: pulumi.InvokeOptions): Promise<GetAuthenticatedOriginPullsCertificatesResult>;
/**
 * A collection of arguments for invoking getAuthenticatedOriginPullsCertificates.
 */
export interface GetAuthenticatedOriginPullsCertificatesArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
    /**
     * Identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getAuthenticatedOriginPullsCertificates.
 */
export interface GetAuthenticatedOriginPullsCertificatesResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetAuthenticatedOriginPullsCertificatesResult[];
    /**
     * Identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleAuthenticatedOriginPullsCertificates = cloudflare.getAuthenticatedOriginPullsCertificates({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getAuthenticatedOriginPullsCertificatesOutput(args: GetAuthenticatedOriginPullsCertificatesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAuthenticatedOriginPullsCertificatesResult>;
/**
 * A collection of arguments for invoking getAuthenticatedOriginPullsCertificates.
 */
export interface GetAuthenticatedOriginPullsCertificatesOutputArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
    /**
     * Identifier.
     */
    zoneId: pulumi.Input<string>;
}
