import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleBotnetFeedConfigAsn = cloudflare.getBotnetFeedConfigAsn({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getBotnetFeedConfigAsn(args: GetBotnetFeedConfigAsnArgs, opts?: pulumi.InvokeOptions): Promise<GetBotnetFeedConfigAsnResult>;
/**
 * A collection of arguments for invoking getBotnetFeedConfigAsn.
 */
export interface GetBotnetFeedConfigAsnArgs {
    /**
     * Identifier.
     */
    accountId: string;
}
/**
 * A collection of values returned by getBotnetFeedConfigAsn.
 */
export interface GetBotnetFeedConfigAsnResult {
    /**
     * Identifier.
     */
    readonly accountId: string;
    readonly asn: number;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleBotnetFeedConfigAsn = cloudflare.getBotnetFeedConfigAsn({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getBotnetFeedConfigAsnOutput(args: GetBotnetFeedConfigAsnOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBotnetFeedConfigAsnResult>;
/**
 * A collection of arguments for invoking getBotnetFeedConfigAsn.
 */
export interface GetBotnetFeedConfigAsnOutputArgs {
    /**
     * Identifier.
     */
    accountId: pulumi.Input<string>;
}
