import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleCertificatePack = cloudflare.getCertificatePack({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     certificatePackId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getCertificatePack(args: GetCertificatePackArgs, opts?: pulumi.InvokeOptions): Promise<GetCertificatePackResult>;
/**
 * A collection of arguments for invoking getCertificatePack.
 */
export interface GetCertificatePackArgs {
    /**
     * Identifier.
     */
    certificatePackId: string;
    /**
     * Identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getCertificatePack.
 */
export interface GetCertificatePackResult {
    /**
     * Identifier.
     */
    readonly certificatePackId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleCertificatePack = cloudflare.getCertificatePack({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     certificatePackId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getCertificatePackOutput(args: GetCertificatePackOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCertificatePackResult>;
/**
 * A collection of arguments for invoking getCertificatePack.
 */
export interface GetCertificatePackOutputArgs {
    /**
     * Identifier.
     */
    certificatePackId: pulumi.Input<string>;
    /**
     * Identifier.
     */
    zoneId: pulumi.Input<string>;
}
