import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleCloudforceOneRequestAsset = cloudflare.getCloudforceOneRequestAsset({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     requestId: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 *     assetId: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 * });
 * ```
 */
export declare function getCloudforceOneRequestAsset(args: GetCloudforceOneRequestAssetArgs, opts?: pulumi.InvokeOptions): Promise<GetCloudforceOneRequestAssetResult>;
/**
 * A collection of arguments for invoking getCloudforceOneRequestAsset.
 */
export interface GetCloudforceOneRequestAssetArgs {
    /**
     * Identifier.
     */
    accountId: string;
    /**
     * UUID.
     */
    assetId: string;
    /**
     * UUID.
     */
    requestId: string;
}
/**
 * A collection of values returned by getCloudforceOneRequestAsset.
 */
export interface GetCloudforceOneRequestAssetResult {
    /**
     * Identifier.
     */
    readonly accountId: string;
    /**
     * UUID.
     */
    readonly assetId: string;
    /**
     * Defines the asset creation time.
     */
    readonly created: string;
    /**
     * Asset description.
     */
    readonly description: string;
    /**
     * Asset file type.
     */
    readonly fileType: string;
    /**
     * Asset ID.
     */
    readonly id: number;
    /**
     * Asset name.
     */
    readonly name: string;
    /**
     * UUID.
     */
    readonly requestId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleCloudforceOneRequestAsset = cloudflare.getCloudforceOneRequestAsset({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     requestId: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 *     assetId: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 * });
 * ```
 */
export declare function getCloudforceOneRequestAssetOutput(args: GetCloudforceOneRequestAssetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCloudforceOneRequestAssetResult>;
/**
 * A collection of arguments for invoking getCloudforceOneRequestAsset.
 */
export interface GetCloudforceOneRequestAssetOutputArgs {
    /**
     * Identifier.
     */
    accountId: pulumi.Input<string>;
    /**
     * UUID.
     */
    assetId: pulumi.Input<string>;
    /**
     * UUID.
     */
    requestId: pulumi.Input<string>;
}
