import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleContentScanningExpressions = cloudflare.getContentScanningExpressions({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getContentScanningExpressions(args: GetContentScanningExpressionsArgs, opts?: pulumi.InvokeOptions): Promise<GetContentScanningExpressionsResult>;
/**
 * A collection of arguments for invoking getContentScanningExpressions.
 */
export interface GetContentScanningExpressionsArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
    /**
     * Defines an identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getContentScanningExpressions.
 */
export interface GetContentScanningExpressionsResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetContentScanningExpressionsResult[];
    /**
     * Defines an identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleContentScanningExpressions = cloudflare.getContentScanningExpressions({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getContentScanningExpressionsOutput(args: GetContentScanningExpressionsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetContentScanningExpressionsResult>;
/**
 * A collection of arguments for invoking getContentScanningExpressions.
 */
export interface GetContentScanningExpressionsOutputArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
    /**
     * Defines an identifier.
     */
    zoneId: pulumi.Input<string>;
}
