import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleDcvDelegation = cloudflare.getDcvDelegation({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getDcvDelegation(args: GetDcvDelegationArgs, opts?: pulumi.InvokeOptions): Promise<GetDcvDelegationResult>;
/**
 * A collection of arguments for invoking getDcvDelegation.
 */
export interface GetDcvDelegationArgs {
    /**
     * Identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getDcvDelegation.
 */
export interface GetDcvDelegationResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * The DCV Delegation unique identifier.
     */
    readonly uuid: string;
    /**
     * Identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleDcvDelegation = cloudflare.getDcvDelegation({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getDcvDelegationOutput(args: GetDcvDelegationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDcvDelegationResult>;
/**
 * A collection of arguments for invoking getDcvDelegation.
 */
export interface GetDcvDelegationOutputArgs {
    /**
     * Identifier.
     */
    zoneId: pulumi.Input<string>;
}
