import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleDnsZoneTransfersAcls = cloudflare.getDnsZoneTransfersAcls({
 *     accountId: "01a7362d577a6c3019a474fd6f485823",
 * });
 * ```
 */
export declare function getDnsZoneTransfersAcls(args: GetDnsZoneTransfersAclsArgs, opts?: pulumi.InvokeOptions): Promise<GetDnsZoneTransfersAclsResult>;
/**
 * A collection of arguments for invoking getDnsZoneTransfersAcls.
 */
export interface GetDnsZoneTransfersAclsArgs {
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getDnsZoneTransfersAcls.
 */
export interface GetDnsZoneTransfersAclsResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetDnsZoneTransfersAclsResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleDnsZoneTransfersAcls = cloudflare.getDnsZoneTransfersAcls({
 *     accountId: "01a7362d577a6c3019a474fd6f485823",
 * });
 * ```
 */
export declare function getDnsZoneTransfersAclsOutput(args: GetDnsZoneTransfersAclsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDnsZoneTransfersAclsResult>;
/**
 * A collection of arguments for invoking getDnsZoneTransfersAcls.
 */
export interface GetDnsZoneTransfersAclsOutputArgs {
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
