import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleDnsZoneTransfersIncoming = cloudflare.getDnsZoneTransfersIncoming({
 *     zoneId: "269d8f4853475ca241c4e730be286b20",
 * });
 * ```
 */
export declare function getDnsZoneTransfersIncoming(args: GetDnsZoneTransfersIncomingArgs, opts?: pulumi.InvokeOptions): Promise<GetDnsZoneTransfersIncomingResult>;
/**
 * A collection of arguments for invoking getDnsZoneTransfersIncoming.
 */
export interface GetDnsZoneTransfersIncomingArgs {
    zoneId: string;
}
/**
 * A collection of values returned by getDnsZoneTransfersIncoming.
 */
export interface GetDnsZoneTransfersIncomingResult {
    /**
     * How often should a secondary zone auto refresh regardless of DNS NOTIFY.
     * Not applicable for primary zones.
     */
    readonly autoRefreshSeconds: number;
    /**
     * The time for a specific event.
     */
    readonly checkedTime: string;
    /**
     * The time for a specific event.
     */
    readonly createdTime: string;
    /**
     * The ID of this resource.
     */
    readonly id: string;
    /**
     * The time for a specific event.
     */
    readonly modifiedTime: string;
    /**
     * Zone name.
     */
    readonly name: string;
    /**
     * A list of peer tags.
     */
    readonly peers: string[];
    /**
     * The serial number of the SOA for the given zone.
     */
    readonly soaSerial: number;
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleDnsZoneTransfersIncoming = cloudflare.getDnsZoneTransfersIncoming({
 *     zoneId: "269d8f4853475ca241c4e730be286b20",
 * });
 * ```
 */
export declare function getDnsZoneTransfersIncomingOutput(args: GetDnsZoneTransfersIncomingOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDnsZoneTransfersIncomingResult>;
/**
 * A collection of arguments for invoking getDnsZoneTransfersIncoming.
 */
export interface GetDnsZoneTransfersIncomingOutputArgs {
    zoneId: pulumi.Input<string>;
}
