import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleDnsZoneTransfersPeers = cloudflare.getDnsZoneTransfersPeers({
 *     accountId: "01a7362d577a6c3019a474fd6f485823",
 * });
 * ```
 */
export declare function getDnsZoneTransfersPeers(args: GetDnsZoneTransfersPeersArgs, opts?: pulumi.InvokeOptions): Promise<GetDnsZoneTransfersPeersResult>;
/**
 * A collection of arguments for invoking getDnsZoneTransfersPeers.
 */
export interface GetDnsZoneTransfersPeersArgs {
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getDnsZoneTransfersPeers.
 */
export interface GetDnsZoneTransfersPeersResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetDnsZoneTransfersPeersResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleDnsZoneTransfersPeers = cloudflare.getDnsZoneTransfersPeers({
 *     accountId: "01a7362d577a6c3019a474fd6f485823",
 * });
 * ```
 */
export declare function getDnsZoneTransfersPeersOutput(args: GetDnsZoneTransfersPeersOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDnsZoneTransfersPeersResult>;
/**
 * A collection of arguments for invoking getDnsZoneTransfersPeers.
 */
export interface GetDnsZoneTransfersPeersOutputArgs {
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
