import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleDnsZoneTransfersTsig = cloudflare.getDnsZoneTransfersTsig({
 *     accountId: "01a7362d577a6c3019a474fd6f485823",
 *     tsigId: "69cd1e104af3e6ed3cb344f263fd0d5a",
 * });
 * ```
 */
export declare function getDnsZoneTransfersTsig(args: GetDnsZoneTransfersTsigArgs, opts?: pulumi.InvokeOptions): Promise<GetDnsZoneTransfersTsigResult>;
/**
 * A collection of arguments for invoking getDnsZoneTransfersTsig.
 */
export interface GetDnsZoneTransfersTsigArgs {
    accountId: string;
    tsigId?: string;
}
/**
 * A collection of values returned by getDnsZoneTransfersTsig.
 */
export interface GetDnsZoneTransfersTsigResult {
    readonly accountId: string;
    /**
     * TSIG algorithm.
     */
    readonly algo: string;
    /**
     * The ID of this resource.
     */
    readonly id: string;
    /**
     * TSIG key name.
     */
    readonly name: string;
    /**
     * TSIG secret.
     */
    readonly secret: string;
    readonly tsigId?: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleDnsZoneTransfersTsig = cloudflare.getDnsZoneTransfersTsig({
 *     accountId: "01a7362d577a6c3019a474fd6f485823",
 *     tsigId: "69cd1e104af3e6ed3cb344f263fd0d5a",
 * });
 * ```
 */
export declare function getDnsZoneTransfersTsigOutput(args: GetDnsZoneTransfersTsigOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDnsZoneTransfersTsigResult>;
/**
 * A collection of arguments for invoking getDnsZoneTransfersTsig.
 */
export interface GetDnsZoneTransfersTsigOutputArgs {
    accountId: pulumi.Input<string>;
    tsigId?: pulumi.Input<string>;
}
