import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleKeylessCertificates = cloudflare.getKeylessCertificates({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getKeylessCertificates(args: GetKeylessCertificatesArgs, opts?: pulumi.InvokeOptions): Promise<GetKeylessCertificatesResult>;
/**
 * A collection of arguments for invoking getKeylessCertificates.
 */
export interface GetKeylessCertificatesArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
    /**
     * Identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getKeylessCertificates.
 */
export interface GetKeylessCertificatesResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetKeylessCertificatesResult[];
    /**
     * Identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleKeylessCertificates = cloudflare.getKeylessCertificates({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getKeylessCertificatesOutput(args: GetKeylessCertificatesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetKeylessCertificatesResult>;
/**
 * A collection of arguments for invoking getKeylessCertificates.
 */
export interface GetKeylessCertificatesOutputArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
    /**
     * Identifier.
     */
    zoneId: pulumi.Input<string>;
}
