import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleLeakedCredentialCheck = cloudflare.getLeakedCredentialCheck({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getLeakedCredentialCheck(args: GetLeakedCredentialCheckArgs, opts?: pulumi.InvokeOptions): Promise<GetLeakedCredentialCheckResult>;
/**
 * A collection of arguments for invoking getLeakedCredentialCheck.
 */
export interface GetLeakedCredentialCheckArgs {
    /**
     * Defines an identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getLeakedCredentialCheck.
 */
export interface GetLeakedCredentialCheckResult {
    /**
     * Determines whether or not Leaked Credential Checks are enabled.
     */
    readonly enabled: boolean;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Defines an identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleLeakedCredentialCheck = cloudflare.getLeakedCredentialCheck({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getLeakedCredentialCheckOutput(args: GetLeakedCredentialCheckOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLeakedCredentialCheckResult>;
/**
 * A collection of arguments for invoking getLeakedCredentialCheck.
 */
export interface GetLeakedCredentialCheckOutputArgs {
    /**
     * Defines an identifier.
     */
    zoneId: pulumi.Input<string>;
}
