import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleLeakedCredentialCheckRules = cloudflare.getLeakedCredentialCheckRules({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getLeakedCredentialCheckRules(args: GetLeakedCredentialCheckRulesArgs, opts?: pulumi.InvokeOptions): Promise<GetLeakedCredentialCheckRulesResult>;
/**
 * A collection of arguments for invoking getLeakedCredentialCheckRules.
 */
export interface GetLeakedCredentialCheckRulesArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
    /**
     * Defines an identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getLeakedCredentialCheckRules.
 */
export interface GetLeakedCredentialCheckRulesResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetLeakedCredentialCheckRulesResult[];
    /**
     * Defines an identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleLeakedCredentialCheckRules = cloudflare.getLeakedCredentialCheckRules({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getLeakedCredentialCheckRulesOutput(args: GetLeakedCredentialCheckRulesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLeakedCredentialCheckRulesResult>;
/**
 * A collection of arguments for invoking getLeakedCredentialCheckRules.
 */
export interface GetLeakedCredentialCheckRulesOutputArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
    /**
     * Defines an identifier.
     */
    zoneId: pulumi.Input<string>;
}
