import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicNetworkMonitoringRules = cloudflare.getMagicNetworkMonitoringRules({
 *     accountId: "6f91088a406011ed95aed352566e8d4c",
 * });
 * ```
 */
export declare function getMagicNetworkMonitoringRules(args: GetMagicNetworkMonitoringRulesArgs, opts?: pulumi.InvokeOptions): Promise<GetMagicNetworkMonitoringRulesResult>;
/**
 * A collection of arguments for invoking getMagicNetworkMonitoringRules.
 */
export interface GetMagicNetworkMonitoringRulesArgs {
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getMagicNetworkMonitoringRules.
 */
export interface GetMagicNetworkMonitoringRulesResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetMagicNetworkMonitoringRulesResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicNetworkMonitoringRules = cloudflare.getMagicNetworkMonitoringRules({
 *     accountId: "6f91088a406011ed95aed352566e8d4c",
 * });
 * ```
 */
export declare function getMagicNetworkMonitoringRulesOutput(args: GetMagicNetworkMonitoringRulesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMagicNetworkMonitoringRulesResult>;
/**
 * A collection of arguments for invoking getMagicNetworkMonitoringRules.
 */
export interface GetMagicNetworkMonitoringRulesOutputArgs {
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
