import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicTransitConnector = cloudflare.getMagicTransitConnector({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     connectorId: "connector_id",
 * });
 * ```
 */
export declare function getMagicTransitConnector(args: GetMagicTransitConnectorArgs, opts?: pulumi.InvokeOptions): Promise<GetMagicTransitConnectorResult>;
/**
 * A collection of arguments for invoking getMagicTransitConnector.
 */
export interface GetMagicTransitConnectorArgs {
    accountId: string;
    connectorId?: string;
}
/**
 * A collection of values returned by getMagicTransitConnector.
 */
export interface GetMagicTransitConnectorResult {
    readonly accountId: string;
    readonly activated: boolean;
    readonly connectorId?: string;
    readonly device: outputs.GetMagicTransitConnectorDevice;
    /**
     * The ID of this resource.
     */
    readonly id: string;
    readonly interruptWindowDurationHours: number;
    readonly interruptWindowHourOfDay: number;
    readonly lastHeartbeat: string;
    readonly lastSeenVersion: string;
    readonly lastUpdated: string;
    readonly notes: string;
    readonly timezone: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicTransitConnector = cloudflare.getMagicTransitConnector({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     connectorId: "connector_id",
 * });
 * ```
 */
export declare function getMagicTransitConnectorOutput(args: GetMagicTransitConnectorOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMagicTransitConnectorResult>;
/**
 * A collection of arguments for invoking getMagicTransitConnector.
 */
export interface GetMagicTransitConnectorOutputArgs {
    accountId: pulumi.Input<string>;
    connectorId?: pulumi.Input<string>;
}
