import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicTransitSiteAcls = cloudflare.getMagicTransitSiteAcls({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     siteId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getMagicTransitSiteAcls(args: GetMagicTransitSiteAclsArgs, opts?: pulumi.InvokeOptions): Promise<GetMagicTransitSiteAclsResult>;
/**
 * A collection of arguments for invoking getMagicTransitSiteAcls.
 */
export interface GetMagicTransitSiteAclsArgs {
    /**
     * Identifier
     */
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
    /**
     * Identifier
     */
    siteId: string;
}
/**
 * A collection of values returned by getMagicTransitSiteAcls.
 */
export interface GetMagicTransitSiteAclsResult {
    /**
     * Identifier
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetMagicTransitSiteAclsResult[];
    /**
     * Identifier
     */
    readonly siteId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicTransitSiteAcls = cloudflare.getMagicTransitSiteAcls({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     siteId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getMagicTransitSiteAclsOutput(args: GetMagicTransitSiteAclsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMagicTransitSiteAclsResult>;
/**
 * A collection of arguments for invoking getMagicTransitSiteAcls.
 */
export interface GetMagicTransitSiteAclsOutputArgs {
    /**
     * Identifier
     */
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
    /**
     * Identifier
     */
    siteId: pulumi.Input<string>;
}
