import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicTransitSiteLans = cloudflare.getMagicTransitSiteLans({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     siteId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getMagicTransitSiteLans(args: GetMagicTransitSiteLansArgs, opts?: pulumi.InvokeOptions): Promise<GetMagicTransitSiteLansResult>;
/**
 * A collection of arguments for invoking getMagicTransitSiteLans.
 */
export interface GetMagicTransitSiteLansArgs {
    /**
     * Identifier
     */
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
    /**
     * Identifier
     */
    siteId: string;
}
/**
 * A collection of values returned by getMagicTransitSiteLans.
 */
export interface GetMagicTransitSiteLansResult {
    /**
     * Identifier
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetMagicTransitSiteLansResult[];
    /**
     * Identifier
     */
    readonly siteId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicTransitSiteLans = cloudflare.getMagicTransitSiteLans({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     siteId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getMagicTransitSiteLansOutput(args: GetMagicTransitSiteLansOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMagicTransitSiteLansResult>;
/**
 * A collection of arguments for invoking getMagicTransitSiteLans.
 */
export interface GetMagicTransitSiteLansOutputArgs {
    /**
     * Identifier
     */
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
    /**
     * Identifier
     */
    siteId: pulumi.Input<string>;
}
