import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicTransitSiteWans = cloudflare.getMagicTransitSiteWans({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     siteId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getMagicTransitSiteWans(args: GetMagicTransitSiteWansArgs, opts?: pulumi.InvokeOptions): Promise<GetMagicTransitSiteWansResult>;
/**
 * A collection of arguments for invoking getMagicTransitSiteWans.
 */
export interface GetMagicTransitSiteWansArgs {
    /**
     * Identifier
     */
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
    /**
     * Identifier
     */
    siteId: string;
}
/**
 * A collection of values returned by getMagicTransitSiteWans.
 */
export interface GetMagicTransitSiteWansResult {
    /**
     * Identifier
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetMagicTransitSiteWansResult[];
    /**
     * Identifier
     */
    readonly siteId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicTransitSiteWans = cloudflare.getMagicTransitSiteWans({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     siteId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getMagicTransitSiteWansOutput(args: GetMagicTransitSiteWansOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMagicTransitSiteWansResult>;
/**
 * A collection of arguments for invoking getMagicTransitSiteWans.
 */
export interface GetMagicTransitSiteWansOutputArgs {
    /**
     * Identifier
     */
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
    /**
     * Identifier
     */
    siteId: pulumi.Input<string>;
}
