import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicWanIpsecTunnel = cloudflare.getMagicWanIpsecTunnel({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     ipsecTunnelId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getMagicWanIpsecTunnel(args: GetMagicWanIpsecTunnelArgs, opts?: pulumi.InvokeOptions): Promise<GetMagicWanIpsecTunnelResult>;
/**
 * A collection of arguments for invoking getMagicWanIpsecTunnel.
 */
export interface GetMagicWanIpsecTunnelArgs {
    /**
     * Identifier
     */
    accountId: string;
    /**
     * Identifier
     */
    ipsecTunnelId: string;
}
/**
 * A collection of values returned by getMagicWanIpsecTunnel.
 */
export interface GetMagicWanIpsecTunnelResult {
    /**
     * Identifier
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly ipsecTunnel: outputs.GetMagicWanIpsecTunnelIpsecTunnel;
    /**
     * Identifier
     */
    readonly ipsecTunnelId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicWanIpsecTunnel = cloudflare.getMagicWanIpsecTunnel({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     ipsecTunnelId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getMagicWanIpsecTunnelOutput(args: GetMagicWanIpsecTunnelOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMagicWanIpsecTunnelResult>;
/**
 * A collection of arguments for invoking getMagicWanIpsecTunnel.
 */
export interface GetMagicWanIpsecTunnelOutputArgs {
    /**
     * Identifier
     */
    accountId: pulumi.Input<string>;
    /**
     * Identifier
     */
    ipsecTunnelId: pulumi.Input<string>;
}
