import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleNotificationPolicyWebhooksList = cloudflare.getNotificationPolicyWebhooksList({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getNotificationPolicyWebhooksList(args: GetNotificationPolicyWebhooksListArgs, opts?: pulumi.InvokeOptions): Promise<GetNotificationPolicyWebhooksListResult>;
/**
 * A collection of arguments for invoking getNotificationPolicyWebhooksList.
 */
export interface GetNotificationPolicyWebhooksListArgs {
    /**
     * The account id
     */
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getNotificationPolicyWebhooksList.
 */
export interface GetNotificationPolicyWebhooksListResult {
    /**
     * The account id
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetNotificationPolicyWebhooksListResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleNotificationPolicyWebhooksList = cloudflare.getNotificationPolicyWebhooksList({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getNotificationPolicyWebhooksListOutput(args: GetNotificationPolicyWebhooksListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetNotificationPolicyWebhooksListResult>;
/**
 * A collection of arguments for invoking getNotificationPolicyWebhooksList.
 */
export interface GetNotificationPolicyWebhooksListOutputArgs {
    /**
     * The account id
     */
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
