import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const examplePageShieldCookies = cloudflare.getPageShieldCookies({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     cookieId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getPageShieldCookies(args: GetPageShieldCookiesArgs, opts?: pulumi.InvokeOptions): Promise<GetPageShieldCookiesResult>;
/**
 * A collection of arguments for invoking getPageShieldCookies.
 */
export interface GetPageShieldCookiesArgs {
    /**
     * Identifier
     */
    cookieId: string;
    /**
     * Identifier
     */
    zoneId: string;
}
/**
 * A collection of values returned by getPageShieldCookies.
 */
export interface GetPageShieldCookiesResult {
    /**
     * Identifier
     */
    readonly cookieId: string;
    readonly domainAttribute: string;
    readonly expiresAttribute: string;
    readonly firstSeenAt: string;
    readonly host: string;
    readonly httpOnlyAttribute: boolean;
    /**
     * Identifier
     */
    readonly id: string;
    readonly lastSeenAt: string;
    readonly maxAgeAttribute: number;
    readonly name: string;
    readonly pageUrls: string[];
    readonly pathAttribute: string;
    /**
     * Available values: "lax", "strict", "none".
     */
    readonly sameSiteAttribute: string;
    readonly secureAttribute: boolean;
    /**
     * Available values: "firstParty", "unknown".
     */
    readonly type: string;
    /**
     * Identifier
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const examplePageShieldCookies = cloudflare.getPageShieldCookies({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     cookieId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getPageShieldCookiesOutput(args: GetPageShieldCookiesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPageShieldCookiesResult>;
/**
 * A collection of arguments for invoking getPageShieldCookies.
 */
export interface GetPageShieldCookiesOutputArgs {
    /**
     * Identifier
     */
    cookieId: pulumi.Input<string>;
    /**
     * Identifier
     */
    zoneId: pulumi.Input<string>;
}
