import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const examplePageShieldPolicies = cloudflare.getPageShieldPolicies({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getPageShieldPolicies(args: GetPageShieldPoliciesArgs, opts?: pulumi.InvokeOptions): Promise<GetPageShieldPoliciesResult>;
/**
 * A collection of arguments for invoking getPageShieldPolicies.
 */
export interface GetPageShieldPoliciesArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
    /**
     * Identifier
     */
    zoneId: string;
}
/**
 * A collection of values returned by getPageShieldPolicies.
 */
export interface GetPageShieldPoliciesResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetPageShieldPoliciesResult[];
    /**
     * Identifier
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const examplePageShieldPolicies = cloudflare.getPageShieldPolicies({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getPageShieldPoliciesOutput(args: GetPageShieldPoliciesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPageShieldPoliciesResult>;
/**
 * A collection of arguments for invoking getPageShieldPolicies.
 */
export interface GetPageShieldPoliciesOutputArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
    /**
     * Identifier
     */
    zoneId: pulumi.Input<string>;
}
