import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleRegionalHostnames = cloudflare.getRegionalHostnames({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getRegionalHostnames(args: GetRegionalHostnamesArgs, opts?: pulumi.InvokeOptions): Promise<GetRegionalHostnamesResult>;
/**
 * A collection of arguments for invoking getRegionalHostnames.
 */
export interface GetRegionalHostnamesArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
    /**
     * Identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getRegionalHostnames.
 */
export interface GetRegionalHostnamesResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetRegionalHostnamesResult[];
    /**
     * Identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleRegionalHostnames = cloudflare.getRegionalHostnames({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getRegionalHostnamesOutput(args: GetRegionalHostnamesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRegionalHostnamesResult>;
/**
 * A collection of arguments for invoking getRegionalHostnames.
 */
export interface GetRegionalHostnamesOutputArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
    /**
     * Identifier.
     */
    zoneId: pulumi.Input<string>;
}
