import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleRegionalTieredCache = cloudflare.getRegionalTieredCache({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getRegionalTieredCache(args: GetRegionalTieredCacheArgs, opts?: pulumi.InvokeOptions): Promise<GetRegionalTieredCacheResult>;
/**
 * A collection of arguments for invoking getRegionalTieredCache.
 */
export interface GetRegionalTieredCacheArgs {
    /**
     * Identifier
     */
    zoneId: string;
}
/**
 * A collection of values returned by getRegionalTieredCache.
 */
export interface GetRegionalTieredCacheResult {
    /**
     * Whether the setting is editable
     */
    readonly editable: boolean;
    /**
     * ID of the zone setting.
     * Available values: "tcRegional".
     */
    readonly id: string;
    /**
     * Last time this setting was modified.
     */
    readonly modifiedOn: string;
    /**
     * The value of the feature
     * Available values: "on", "off".
     */
    readonly value: string;
    /**
     * Identifier
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleRegionalTieredCache = cloudflare.getRegionalTieredCache({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getRegionalTieredCacheOutput(args: GetRegionalTieredCacheOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRegionalTieredCacheResult>;
/**
 * A collection of arguments for invoking getRegionalTieredCache.
 */
export interface GetRegionalTieredCacheOutputArgs {
    /**
     * Identifier
     */
    zoneId: pulumi.Input<string>;
}
