import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleSnippetRulesList = cloudflare.getSnippetRulesList({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getSnippetRulesList(args: GetSnippetRulesListArgs, opts?: pulumi.InvokeOptions): Promise<GetSnippetRulesListResult>;
/**
 * A collection of arguments for invoking getSnippetRulesList.
 */
export interface GetSnippetRulesListArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
    /**
     * Identifier
     */
    zoneId: string;
}
/**
 * A collection of values returned by getSnippetRulesList.
 */
export interface GetSnippetRulesListResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetSnippetRulesListResult[];
    /**
     * Identifier
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleSnippetRulesList = cloudflare.getSnippetRulesList({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getSnippetRulesListOutput(args: GetSnippetRulesListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSnippetRulesListResult>;
/**
 * A collection of arguments for invoking getSnippetRulesList.
 */
export interface GetSnippetRulesListOutputArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
    /**
     * Identifier
     */
    zoneId: pulumi.Input<string>;
}
