import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleStreamWebhook = cloudflare.getStreamWebhook({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getStreamWebhook(args: GetStreamWebhookArgs, opts?: pulumi.InvokeOptions): Promise<GetStreamWebhookResult>;
/**
 * A collection of arguments for invoking getStreamWebhook.
 */
export interface GetStreamWebhookArgs {
    /**
     * The account identifier tag.
     */
    accountId: string;
}
/**
 * A collection of values returned by getStreamWebhook.
 */
export interface GetStreamWebhookResult {
    /**
     * The account identifier tag.
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleStreamWebhook = cloudflare.getStreamWebhook({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getStreamWebhookOutput(args: GetStreamWebhookOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetStreamWebhookResult>;
/**
 * A collection of arguments for invoking getStreamWebhook.
 */
export interface GetStreamWebhookOutputArgs {
    /**
     * The account identifier tag.
     */
    accountId: pulumi.Input<string>;
}
