import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleUser = cloudflare.getUser({});
 * ```
 */
export declare function getUser(opts?: pulumi.InvokeOptions): Promise<GetUserResult>;
/**
 * A collection of values returned by getUser.
 */
export interface GetUserResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleUser = cloudflare.getUser({});
 * ```
 */
export declare function getUserOutput(opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetUserResult>;
