import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleUserAgentBlockingRule = cloudflare.getUserAgentBlockingRule({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     uaRuleId: "372e67954025e0ba6aaa6d586b9e0b59",
 * });
 * ```
 */
export declare function getUserAgentBlockingRule(args: GetUserAgentBlockingRuleArgs, opts?: pulumi.InvokeOptions): Promise<GetUserAgentBlockingRuleResult>;
/**
 * A collection of arguments for invoking getUserAgentBlockingRule.
 */
export interface GetUserAgentBlockingRuleArgs {
    /**
     * The unique identifier of the User Agent Blocking rule.
     */
    uaRuleId: string;
    /**
     * Defines an identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getUserAgentBlockingRule.
 */
export interface GetUserAgentBlockingRuleResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * The unique identifier of the User Agent Blocking rule.
     */
    readonly uaRuleId: string;
    /**
     * Defines an identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleUserAgentBlockingRule = cloudflare.getUserAgentBlockingRule({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     uaRuleId: "372e67954025e0ba6aaa6d586b9e0b59",
 * });
 * ```
 */
export declare function getUserAgentBlockingRuleOutput(args: GetUserAgentBlockingRuleOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetUserAgentBlockingRuleResult>;
/**
 * A collection of arguments for invoking getUserAgentBlockingRule.
 */
export interface GetUserAgentBlockingRuleOutputArgs {
    /**
     * The unique identifier of the User Agent Blocking rule.
     */
    uaRuleId: pulumi.Input<string>;
    /**
     * Defines an identifier.
     */
    zoneId: pulumi.Input<string>;
}
