import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleWaitingRoomEvents = cloudflare.getWaitingRoomEvents({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     waitingRoomId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getWaitingRoomEvents(args: GetWaitingRoomEventsArgs, opts?: pulumi.InvokeOptions): Promise<GetWaitingRoomEventsResult>;
/**
 * A collection of arguments for invoking getWaitingRoomEvents.
 */
export interface GetWaitingRoomEventsArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
    waitingRoomId: string;
    /**
     * Identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getWaitingRoomEvents.
 */
export interface GetWaitingRoomEventsResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetWaitingRoomEventsResult[];
    readonly waitingRoomId: string;
    /**
     * Identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleWaitingRoomEvents = cloudflare.getWaitingRoomEvents({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     waitingRoomId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getWaitingRoomEventsOutput(args: GetWaitingRoomEventsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWaitingRoomEventsResult>;
/**
 * A collection of arguments for invoking getWaitingRoomEvents.
 */
export interface GetWaitingRoomEventsOutputArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
    waitingRoomId: pulumi.Input<string>;
    /**
     * Identifier.
     */
    zoneId: pulumi.Input<string>;
}
