import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleWorkersForPlatformsDispatchNamespace = cloudflare.getWorkersForPlatformsDispatchNamespace({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     dispatchNamespace: "my-dispatch-namespace",
 * });
 * ```
 */
export declare function getWorkersForPlatformsDispatchNamespace(args: GetWorkersForPlatformsDispatchNamespaceArgs, opts?: pulumi.InvokeOptions): Promise<GetWorkersForPlatformsDispatchNamespaceResult>;
/**
 * A collection of arguments for invoking getWorkersForPlatformsDispatchNamespace.
 */
export interface GetWorkersForPlatformsDispatchNamespaceArgs {
    /**
     * Identifier.
     */
    accountId: string;
    /**
     * Name of the Workers for Platforms dispatch namespace.
     */
    dispatchNamespace?: string;
}
/**
 * A collection of values returned by getWorkersForPlatformsDispatchNamespace.
 */
export interface GetWorkersForPlatformsDispatchNamespaceResult {
    /**
     * Identifier.
     */
    readonly accountId: string;
    /**
     * Identifier.
     */
    readonly createdBy: string;
    /**
     * When the script was created.
     */
    readonly createdOn: string;
    /**
     * Name of the Workers for Platforms dispatch namespace.
     */
    readonly dispatchNamespace?: string;
    /**
     * Name of the Workers for Platforms dispatch namespace.
     */
    readonly id: string;
    /**
     * Identifier.
     */
    readonly modifiedBy: string;
    /**
     * When the script was last modified.
     */
    readonly modifiedOn: string;
    /**
     * API Resource UUID tag.
     */
    readonly namespaceId: string;
    /**
     * Name of the Workers for Platforms dispatch namespace.
     */
    readonly namespaceName: string;
    /**
     * The current number of scripts in this Dispatch Namespace.
     */
    readonly scriptCount: number;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleWorkersForPlatformsDispatchNamespace = cloudflare.getWorkersForPlatformsDispatchNamespace({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     dispatchNamespace: "my-dispatch-namespace",
 * });
 * ```
 */
export declare function getWorkersForPlatformsDispatchNamespaceOutput(args: GetWorkersForPlatformsDispatchNamespaceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWorkersForPlatformsDispatchNamespaceResult>;
/**
 * A collection of arguments for invoking getWorkersForPlatformsDispatchNamespace.
 */
export interface GetWorkersForPlatformsDispatchNamespaceOutputArgs {
    /**
     * Identifier.
     */
    accountId: pulumi.Input<string>;
    /**
     * Name of the Workers for Platforms dispatch namespace.
     */
    dispatchNamespace?: pulumi.Input<string>;
}
