import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleWorkersForPlatformsDispatchNamespaces = cloudflare.getWorkersForPlatformsDispatchNamespaces({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getWorkersForPlatformsDispatchNamespaces(args: GetWorkersForPlatformsDispatchNamespacesArgs, opts?: pulumi.InvokeOptions): Promise<GetWorkersForPlatformsDispatchNamespacesResult>;
/**
 * A collection of arguments for invoking getWorkersForPlatformsDispatchNamespaces.
 */
export interface GetWorkersForPlatformsDispatchNamespacesArgs {
    /**
     * Identifier.
     */
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getWorkersForPlatformsDispatchNamespaces.
 */
export interface GetWorkersForPlatformsDispatchNamespacesResult {
    /**
     * Identifier.
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetWorkersForPlatformsDispatchNamespacesResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleWorkersForPlatformsDispatchNamespaces = cloudflare.getWorkersForPlatformsDispatchNamespaces({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getWorkersForPlatformsDispatchNamespacesOutput(args: GetWorkersForPlatformsDispatchNamespacesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWorkersForPlatformsDispatchNamespacesResult>;
/**
 * A collection of arguments for invoking getWorkersForPlatformsDispatchNamespaces.
 */
export interface GetWorkersForPlatformsDispatchNamespacesOutputArgs {
    /**
     * Identifier.
     */
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
