import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleWorkersScript = cloudflare.getWorkersScript({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     scriptName: "this-is_my_script-01",
 * });
 * ```
 */
export declare function getWorkersScript(args: GetWorkersScriptArgs, opts?: pulumi.InvokeOptions): Promise<GetWorkersScriptResult>;
/**
 * A collection of arguments for invoking getWorkersScript.
 */
export interface GetWorkersScriptArgs {
    /**
     * Identifier.
     */
    accountId: string;
    /**
     * Name of the script, used in URLs and route configuration.
     */
    scriptName: string;
}
/**
 * A collection of values returned by getWorkersScript.
 */
export interface GetWorkersScriptResult {
    /**
     * Identifier.
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Name of the script, used in URLs and route configuration.
     */
    readonly scriptName: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleWorkersScript = cloudflare.getWorkersScript({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     scriptName: "this-is_my_script-01",
 * });
 * ```
 */
export declare function getWorkersScriptOutput(args: GetWorkersScriptOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWorkersScriptResult>;
/**
 * A collection of arguments for invoking getWorkersScript.
 */
export interface GetWorkersScriptOutputArgs {
    /**
     * Identifier.
     */
    accountId: pulumi.Input<string>;
    /**
     * Name of the script, used in URLs and route configuration.
     */
    scriptName: pulumi.Input<string>;
}
