import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustAccessCustomPages = cloudflare.getZeroTrustAccessCustomPages({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getZeroTrustAccessCustomPages(args: GetZeroTrustAccessCustomPagesArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustAccessCustomPagesResult>;
/**
 * A collection of arguments for invoking getZeroTrustAccessCustomPages.
 */
export interface GetZeroTrustAccessCustomPagesArgs {
    /**
     * Identifier.
     */
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getZeroTrustAccessCustomPages.
 */
export interface GetZeroTrustAccessCustomPagesResult {
    /**
     * Identifier.
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetZeroTrustAccessCustomPagesResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustAccessCustomPages = cloudflare.getZeroTrustAccessCustomPages({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getZeroTrustAccessCustomPagesOutput(args: GetZeroTrustAccessCustomPagesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustAccessCustomPagesResult>;
/**
 * A collection of arguments for invoking getZeroTrustAccessCustomPages.
 */
export interface GetZeroTrustAccessCustomPagesOutputArgs {
    /**
     * Identifier.
     */
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
