import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustAccessKeyConfiguration = cloudflare.getZeroTrustAccessKeyConfiguration({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getZeroTrustAccessKeyConfiguration(args: GetZeroTrustAccessKeyConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustAccessKeyConfigurationResult>;
/**
 * A collection of arguments for invoking getZeroTrustAccessKeyConfiguration.
 */
export interface GetZeroTrustAccessKeyConfigurationArgs {
    /**
     * Identifier.
     */
    accountId: string;
}
/**
 * A collection of values returned by getZeroTrustAccessKeyConfiguration.
 */
export interface GetZeroTrustAccessKeyConfigurationResult {
    /**
     * Identifier.
     */
    readonly accountId: string;
    /**
     * The number of days until the next key rotation.
     */
    readonly daysUntilNextRotation: number;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * The number of days between key rotations.
     */
    readonly keyRotationIntervalDays: number;
    /**
     * The timestamp of the previous key rotation.
     */
    readonly lastKeyRotationAt: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustAccessKeyConfiguration = cloudflare.getZeroTrustAccessKeyConfiguration({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getZeroTrustAccessKeyConfigurationOutput(args: GetZeroTrustAccessKeyConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustAccessKeyConfigurationResult>;
/**
 * A collection of arguments for invoking getZeroTrustAccessKeyConfiguration.
 */
export interface GetZeroTrustAccessKeyConfigurationOutputArgs {
    /**
     * Identifier.
     */
    accountId: pulumi.Input<string>;
}
