import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustAccessTag = cloudflare.getZeroTrustAccessTag({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     tagName: "engineers",
 * });
 * ```
 */
export declare function getZeroTrustAccessTag(args: GetZeroTrustAccessTagArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustAccessTagResult>;
/**
 * A collection of arguments for invoking getZeroTrustAccessTag.
 */
export interface GetZeroTrustAccessTagArgs {
    /**
     * Identifier.
     */
    accountId: string;
    /**
     * The name of the tag
     */
    tagName?: string;
}
/**
 * A collection of values returned by getZeroTrustAccessTag.
 */
export interface GetZeroTrustAccessTagResult {
    /**
     * Identifier.
     */
    readonly accountId: string;
    /**
     * The number of applications that have this tag
     */
    readonly appCount: number;
    readonly createdAt: string;
    /**
     * The name of the tag
     */
    readonly id: string;
    /**
     * The name of the tag
     */
    readonly name: string;
    /**
     * The name of the tag
     */
    readonly tagName?: string;
    readonly updatedAt: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustAccessTag = cloudflare.getZeroTrustAccessTag({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     tagName: "engineers",
 * });
 * ```
 */
export declare function getZeroTrustAccessTagOutput(args: GetZeroTrustAccessTagOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustAccessTagResult>;
/**
 * A collection of arguments for invoking getZeroTrustAccessTag.
 */
export interface GetZeroTrustAccessTagOutputArgs {
    /**
     * Identifier.
     */
    accountId: pulumi.Input<string>;
    /**
     * The name of the tag
     */
    tagName?: pulumi.Input<string>;
}
