import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDeviceCustomProfiles = cloudflare.getZeroTrustDeviceCustomProfiles({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustDeviceCustomProfiles(args: GetZeroTrustDeviceCustomProfilesArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustDeviceCustomProfilesResult>;
/**
 * A collection of arguments for invoking getZeroTrustDeviceCustomProfiles.
 */
export interface GetZeroTrustDeviceCustomProfilesArgs {
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getZeroTrustDeviceCustomProfiles.
 */
export interface GetZeroTrustDeviceCustomProfilesResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetZeroTrustDeviceCustomProfilesResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDeviceCustomProfiles = cloudflare.getZeroTrustDeviceCustomProfiles({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustDeviceCustomProfilesOutput(args: GetZeroTrustDeviceCustomProfilesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustDeviceCustomProfilesResult>;
/**
 * A collection of arguments for invoking getZeroTrustDeviceCustomProfiles.
 */
export interface GetZeroTrustDeviceCustomProfilesOutputArgs {
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
