import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDeviceDefaultProfileCertificates = cloudflare.getZeroTrustDeviceDefaultProfileCertificates({
 *     zoneId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustDeviceDefaultProfileCertificates(args: GetZeroTrustDeviceDefaultProfileCertificatesArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustDeviceDefaultProfileCertificatesResult>;
/**
 * A collection of arguments for invoking getZeroTrustDeviceDefaultProfileCertificates.
 */
export interface GetZeroTrustDeviceDefaultProfileCertificatesArgs {
    zoneId: string;
}
/**
 * A collection of values returned by getZeroTrustDeviceDefaultProfileCertificates.
 */
export interface GetZeroTrustDeviceDefaultProfileCertificatesResult {
    /**
     * The current status of the device policy certificate provisioning feature for WARP clients.
     */
    readonly enabled: boolean;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDeviceDefaultProfileCertificates = cloudflare.getZeroTrustDeviceDefaultProfileCertificates({
 *     zoneId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustDeviceDefaultProfileCertificatesOutput(args: GetZeroTrustDeviceDefaultProfileCertificatesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustDeviceDefaultProfileCertificatesResult>;
/**
 * A collection of arguments for invoking getZeroTrustDeviceDefaultProfileCertificates.
 */
export interface GetZeroTrustDeviceDefaultProfileCertificatesOutputArgs {
    zoneId: pulumi.Input<string>;
}
