import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDeviceDefaultProfileLocalDomainFallback = cloudflare.getZeroTrustDeviceDefaultProfileLocalDomainFallback({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustDeviceDefaultProfileLocalDomainFallback(args: GetZeroTrustDeviceDefaultProfileLocalDomainFallbackArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustDeviceDefaultProfileLocalDomainFallbackResult>;
/**
 * A collection of arguments for invoking getZeroTrustDeviceDefaultProfileLocalDomainFallback.
 */
export interface GetZeroTrustDeviceDefaultProfileLocalDomainFallbackArgs {
    accountId: string;
}
/**
 * A collection of values returned by getZeroTrustDeviceDefaultProfileLocalDomainFallback.
 */
export interface GetZeroTrustDeviceDefaultProfileLocalDomainFallbackResult {
    readonly accountId: string;
    /**
     * A description of the fallback domain, displayed in the client UI.
     */
    readonly description: string;
    /**
     * A list of IP addresses to handle domain resolution.
     */
    readonly dnsServers: string[];
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * The domain suffix to match when resolving locally.
     */
    readonly suffix: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDeviceDefaultProfileLocalDomainFallback = cloudflare.getZeroTrustDeviceDefaultProfileLocalDomainFallback({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustDeviceDefaultProfileLocalDomainFallbackOutput(args: GetZeroTrustDeviceDefaultProfileLocalDomainFallbackOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustDeviceDefaultProfileLocalDomainFallbackResult>;
/**
 * A collection of arguments for invoking getZeroTrustDeviceDefaultProfileLocalDomainFallback.
 */
export interface GetZeroTrustDeviceDefaultProfileLocalDomainFallbackOutputArgs {
    accountId: pulumi.Input<string>;
}
