import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDeviceManagedNetworksList = cloudflare.getZeroTrustDeviceManagedNetworksList({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustDeviceManagedNetworksList(args: GetZeroTrustDeviceManagedNetworksListArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustDeviceManagedNetworksListResult>;
/**
 * A collection of arguments for invoking getZeroTrustDeviceManagedNetworksList.
 */
export interface GetZeroTrustDeviceManagedNetworksListArgs {
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getZeroTrustDeviceManagedNetworksList.
 */
export interface GetZeroTrustDeviceManagedNetworksListResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetZeroTrustDeviceManagedNetworksListResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDeviceManagedNetworksList = cloudflare.getZeroTrustDeviceManagedNetworksList({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustDeviceManagedNetworksListOutput(args: GetZeroTrustDeviceManagedNetworksListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustDeviceManagedNetworksListResult>;
/**
 * A collection of arguments for invoking getZeroTrustDeviceManagedNetworksList.
 */
export interface GetZeroTrustDeviceManagedNetworksListOutputArgs {
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
