import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDevicePostureIntegrations = cloudflare.getZeroTrustDevicePostureIntegrations({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustDevicePostureIntegrations(args: GetZeroTrustDevicePostureIntegrationsArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustDevicePostureIntegrationsResult>;
/**
 * A collection of arguments for invoking getZeroTrustDevicePostureIntegrations.
 */
export interface GetZeroTrustDevicePostureIntegrationsArgs {
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getZeroTrustDevicePostureIntegrations.
 */
export interface GetZeroTrustDevicePostureIntegrationsResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetZeroTrustDevicePostureIntegrationsResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDevicePostureIntegrations = cloudflare.getZeroTrustDevicePostureIntegrations({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustDevicePostureIntegrationsOutput(args: GetZeroTrustDevicePostureIntegrationsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustDevicePostureIntegrationsResult>;
/**
 * A collection of arguments for invoking getZeroTrustDevicePostureIntegrations.
 */
export interface GetZeroTrustDevicePostureIntegrationsOutputArgs {
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
