import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDevicePostureRules = cloudflare.getZeroTrustDevicePostureRules({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustDevicePostureRules(args: GetZeroTrustDevicePostureRulesArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustDevicePostureRulesResult>;
/**
 * A collection of arguments for invoking getZeroTrustDevicePostureRules.
 */
export interface GetZeroTrustDevicePostureRulesArgs {
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getZeroTrustDevicePostureRules.
 */
export interface GetZeroTrustDevicePostureRulesResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetZeroTrustDevicePostureRulesResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDevicePostureRules = cloudflare.getZeroTrustDevicePostureRules({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustDevicePostureRulesOutput(args: GetZeroTrustDevicePostureRulesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustDevicePostureRulesResult>;
/**
 * A collection of arguments for invoking getZeroTrustDevicePostureRules.
 */
export interface GetZeroTrustDevicePostureRulesOutputArgs {
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
