import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDexTests = cloudflare.getZeroTrustDexTests({
 *     accountId: "01a7362d577a6c3019a474fd6f485823",
 * });
 * ```
 */
export declare function getZeroTrustDexTests(args: GetZeroTrustDexTestsArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustDexTestsResult>;
/**
 * A collection of arguments for invoking getZeroTrustDexTests.
 */
export interface GetZeroTrustDexTestsArgs {
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getZeroTrustDexTests.
 */
export interface GetZeroTrustDexTestsResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetZeroTrustDexTestsResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDexTests = cloudflare.getZeroTrustDexTests({
 *     accountId: "01a7362d577a6c3019a474fd6f485823",
 * });
 * ```
 */
export declare function getZeroTrustDexTestsOutput(args: GetZeroTrustDexTestsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustDexTestsResult>;
/**
 * A collection of arguments for invoking getZeroTrustDexTests.
 */
export interface GetZeroTrustDexTestsOutputArgs {
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
