import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDlpDatasets = cloudflare.getZeroTrustDlpDatasets({
 *     accountId: "account_id",
 * });
 * ```
 */
export declare function getZeroTrustDlpDatasets(args: GetZeroTrustDlpDatasetsArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustDlpDatasetsResult>;
/**
 * A collection of arguments for invoking getZeroTrustDlpDatasets.
 */
export interface GetZeroTrustDlpDatasetsArgs {
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getZeroTrustDlpDatasets.
 */
export interface GetZeroTrustDlpDatasetsResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetZeroTrustDlpDatasetsResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDlpDatasets = cloudflare.getZeroTrustDlpDatasets({
 *     accountId: "account_id",
 * });
 * ```
 */
export declare function getZeroTrustDlpDatasetsOutput(args: GetZeroTrustDlpDatasetsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustDlpDatasetsResult>;
/**
 * A collection of arguments for invoking getZeroTrustDlpDatasets.
 */
export interface GetZeroTrustDlpDatasetsOutputArgs {
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
