import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDlpEntries = cloudflare.getZeroTrustDlpEntries({
 *     accountId: "account_id",
 * });
 * ```
 */
export declare function getZeroTrustDlpEntries(args: GetZeroTrustDlpEntriesArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustDlpEntriesResult>;
/**
 * A collection of arguments for invoking getZeroTrustDlpEntries.
 */
export interface GetZeroTrustDlpEntriesArgs {
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getZeroTrustDlpEntries.
 */
export interface GetZeroTrustDlpEntriesResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetZeroTrustDlpEntriesResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDlpEntries = cloudflare.getZeroTrustDlpEntries({
 *     accountId: "account_id",
 * });
 * ```
 */
export declare function getZeroTrustDlpEntriesOutput(args: GetZeroTrustDlpEntriesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustDlpEntriesResult>;
/**
 * A collection of arguments for invoking getZeroTrustDlpEntries.
 */
export interface GetZeroTrustDlpEntriesOutputArgs {
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
