import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayAppTypesList = cloudflare.getZeroTrustGatewayAppTypesList({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getZeroTrustGatewayAppTypesList(args: GetZeroTrustGatewayAppTypesListArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustGatewayAppTypesListResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewayAppTypesList.
 */
export interface GetZeroTrustGatewayAppTypesListArgs {
    /**
     * Identifier
     */
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getZeroTrustGatewayAppTypesList.
 */
export interface GetZeroTrustGatewayAppTypesListResult {
    /**
     * Identifier
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetZeroTrustGatewayAppTypesListResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayAppTypesList = cloudflare.getZeroTrustGatewayAppTypesList({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getZeroTrustGatewayAppTypesListOutput(args: GetZeroTrustGatewayAppTypesListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustGatewayAppTypesListResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewayAppTypesList.
 */
export interface GetZeroTrustGatewayAppTypesListOutputArgs {
    /**
     * Identifier
     */
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
