import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayCategoriesList = cloudflare.getZeroTrustGatewayCategoriesList({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getZeroTrustGatewayCategoriesList(args: GetZeroTrustGatewayCategoriesListArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustGatewayCategoriesListResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewayCategoriesList.
 */
export interface GetZeroTrustGatewayCategoriesListArgs {
    /**
     * Identifier
     */
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getZeroTrustGatewayCategoriesList.
 */
export interface GetZeroTrustGatewayCategoriesListResult {
    /**
     * Identifier
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetZeroTrustGatewayCategoriesListResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayCategoriesList = cloudflare.getZeroTrustGatewayCategoriesList({
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getZeroTrustGatewayCategoriesListOutput(args: GetZeroTrustGatewayCategoriesListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustGatewayCategoriesListResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewayCategoriesList.
 */
export interface GetZeroTrustGatewayCategoriesListOutputArgs {
    /**
     * Identifier
     */
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
