import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayCertificates = cloudflare.getZeroTrustGatewayCertificates({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustGatewayCertificates(args: GetZeroTrustGatewayCertificatesArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustGatewayCertificatesResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewayCertificates.
 */
export interface GetZeroTrustGatewayCertificatesArgs {
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getZeroTrustGatewayCertificates.
 */
export interface GetZeroTrustGatewayCertificatesResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetZeroTrustGatewayCertificatesResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayCertificates = cloudflare.getZeroTrustGatewayCertificates({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustGatewayCertificatesOutput(args: GetZeroTrustGatewayCertificatesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustGatewayCertificatesResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewayCertificates.
 */
export interface GetZeroTrustGatewayCertificatesOutputArgs {
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
