import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayLogging = cloudflare.getZeroTrustGatewayLogging({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustGatewayLogging(args: GetZeroTrustGatewayLoggingArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustGatewayLoggingResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewayLogging.
 */
export interface GetZeroTrustGatewayLoggingArgs {
    accountId: string;
}
/**
 * A collection of values returned by getZeroTrustGatewayLogging.
 */
export interface GetZeroTrustGatewayLoggingResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Redact personally identifiable information from activity logging (PII fields are: source IP, user email, user ID, device ID, URL, referrer, user agent).
     */
    readonly redactPii: boolean;
    /**
     * Logging settings by rule type.
     */
    readonly settingsByRuleType: outputs.GetZeroTrustGatewayLoggingSettingsByRuleType;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayLogging = cloudflare.getZeroTrustGatewayLogging({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustGatewayLoggingOutput(args: GetZeroTrustGatewayLoggingOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustGatewayLoggingResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewayLogging.
 */
export interface GetZeroTrustGatewayLoggingOutputArgs {
    accountId: pulumi.Input<string>;
}
