import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayPolicies = cloudflare.getZeroTrustGatewayPolicies({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustGatewayPolicies(args: GetZeroTrustGatewayPoliciesArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustGatewayPoliciesResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewayPolicies.
 */
export interface GetZeroTrustGatewayPoliciesArgs {
    accountId: string;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
}
/**
 * A collection of values returned by getZeroTrustGatewayPolicies.
 */
export interface GetZeroTrustGatewayPoliciesResult {
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetZeroTrustGatewayPoliciesResult[];
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayPolicies = cloudflare.getZeroTrustGatewayPolicies({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustGatewayPoliciesOutput(args: GetZeroTrustGatewayPoliciesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustGatewayPoliciesResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewayPolicies.
 */
export interface GetZeroTrustGatewayPoliciesOutputArgs {
    accountId: pulumi.Input<string>;
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
}
