import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayProxyEndpoint = cloudflare.getZeroTrustGatewayProxyEndpoint({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 *     proxyEndpointId: "ed35569b41ce4d1facfe683550f54086",
 * });
 * ```
 */
export declare function getZeroTrustGatewayProxyEndpoint(args: GetZeroTrustGatewayProxyEndpointArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustGatewayProxyEndpointResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewayProxyEndpoint.
 */
export interface GetZeroTrustGatewayProxyEndpointArgs {
    accountId: string;
    proxyEndpointId: string;
}
/**
 * A collection of values returned by getZeroTrustGatewayProxyEndpoint.
 */
export interface GetZeroTrustGatewayProxyEndpointResult {
    readonly accountId: string;
    readonly createdAt: string;
    /**
     * The ID of this resource.
     */
    readonly id: string;
    /**
     * A list of CIDRs to restrict ingress connections.
     */
    readonly ips: string[];
    /**
     * The name of the proxy endpoint.
     */
    readonly name: string;
    readonly proxyEndpointId: string;
    /**
     * The subdomain to be used as the destination in the proxy client.
     */
    readonly subdomain: string;
    readonly updatedAt: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayProxyEndpoint = cloudflare.getZeroTrustGatewayProxyEndpoint({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 *     proxyEndpointId: "ed35569b41ce4d1facfe683550f54086",
 * });
 * ```
 */
export declare function getZeroTrustGatewayProxyEndpointOutput(args: GetZeroTrustGatewayProxyEndpointOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustGatewayProxyEndpointResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewayProxyEndpoint.
 */
export interface GetZeroTrustGatewayProxyEndpointOutputArgs {
    accountId: pulumi.Input<string>;
    proxyEndpointId: pulumi.Input<string>;
}
