import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewaySettings = cloudflare.getZeroTrustGatewaySettings({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustGatewaySettings(args: GetZeroTrustGatewaySettingsArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustGatewaySettingsResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewaySettings.
 */
export interface GetZeroTrustGatewaySettingsArgs {
    accountId: string;
}
/**
 * A collection of values returned by getZeroTrustGatewaySettings.
 */
export interface GetZeroTrustGatewaySettingsResult {
    readonly accountId: string;
    readonly createdAt: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Account settings
     */
    readonly settings: outputs.GetZeroTrustGatewaySettingsSettings;
    readonly updatedAt: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewaySettings = cloudflare.getZeroTrustGatewaySettings({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 * });
 * ```
 */
export declare function getZeroTrustGatewaySettingsOutput(args: GetZeroTrustGatewaySettingsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustGatewaySettingsResult>;
/**
 * A collection of arguments for invoking getZeroTrustGatewaySettings.
 */
export interface GetZeroTrustGatewaySettingsOutputArgs {
    accountId: pulumi.Input<string>;
}
