import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustRiskBehavior = cloudflare.getZeroTrustRiskBehavior({
 *     accountId: "account_id",
 * });
 * ```
 */
export declare function getZeroTrustRiskBehavior(args: GetZeroTrustRiskBehaviorArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustRiskBehaviorResult>;
/**
 * A collection of arguments for invoking getZeroTrustRiskBehavior.
 */
export interface GetZeroTrustRiskBehaviorArgs {
    accountId: string;
}
/**
 * A collection of values returned by getZeroTrustRiskBehavior.
 */
export interface GetZeroTrustRiskBehaviorResult {
    readonly accountId: string;
    readonly behaviors: {
        [key: string]: outputs.GetZeroTrustRiskBehaviorBehaviors;
    };
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustRiskBehavior = cloudflare.getZeroTrustRiskBehavior({
 *     accountId: "account_id",
 * });
 * ```
 */
export declare function getZeroTrustRiskBehaviorOutput(args: GetZeroTrustRiskBehaviorOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustRiskBehaviorResult>;
/**
 * A collection of arguments for invoking getZeroTrustRiskBehavior.
 */
export interface GetZeroTrustRiskBehaviorOutputArgs {
    accountId: pulumi.Input<string>;
}
