import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustTunnelWarpConnectorToken = cloudflare.getZeroTrustTunnelWarpConnectorToken({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 *     tunnelId: "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
 * });
 * ```
 */
export declare function getZeroTrustTunnelWarpConnectorToken(args: GetZeroTrustTunnelWarpConnectorTokenArgs, opts?: pulumi.InvokeOptions): Promise<GetZeroTrustTunnelWarpConnectorTokenResult>;
/**
 * A collection of arguments for invoking getZeroTrustTunnelWarpConnectorToken.
 */
export interface GetZeroTrustTunnelWarpConnectorTokenArgs {
    /**
     * Cloudflare account ID
     */
    accountId: string;
    /**
     * UUID of the tunnel.
     */
    tunnelId: string;
}
/**
 * A collection of values returned by getZeroTrustTunnelWarpConnectorToken.
 */
export interface GetZeroTrustTunnelWarpConnectorTokenResult {
    /**
     * Cloudflare account ID
     */
    readonly accountId: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * UUID of the tunnel.
     */
    readonly tunnelId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustTunnelWarpConnectorToken = cloudflare.getZeroTrustTunnelWarpConnectorToken({
 *     accountId: "699d98642c564d2e855e9661899b7252",
 *     tunnelId: "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
 * });
 * ```
 */
export declare function getZeroTrustTunnelWarpConnectorTokenOutput(args: GetZeroTrustTunnelWarpConnectorTokenOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZeroTrustTunnelWarpConnectorTokenResult>;
/**
 * A collection of arguments for invoking getZeroTrustTunnelWarpConnectorToken.
 */
export interface GetZeroTrustTunnelWarpConnectorTokenOutputArgs {
    /**
     * Cloudflare account ID
     */
    accountId: pulumi.Input<string>;
    /**
     * UUID of the tunnel.
     */
    tunnelId: pulumi.Input<string>;
}
