import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZoneCacheVariants = cloudflare.getZoneCacheVariants({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getZoneCacheVariants(args: GetZoneCacheVariantsArgs, opts?: pulumi.InvokeOptions): Promise<GetZoneCacheVariantsResult>;
/**
 * A collection of arguments for invoking getZoneCacheVariants.
 */
export interface GetZoneCacheVariantsArgs {
    /**
     * Identifier
     */
    zoneId: string;
}
/**
 * A collection of values returned by getZoneCacheVariants.
 */
export interface GetZoneCacheVariantsResult {
    /**
     * Whether the setting is editable
     */
    readonly editable: boolean;
    /**
     * ID of the zone setting.
     * Available values: "variants".
     */
    readonly id: string;
    /**
     * Last time this setting was modified.
     */
    readonly modifiedOn: string;
    /**
     * The value of the feature
     */
    readonly value: string;
    /**
     * Identifier
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZoneCacheVariants = cloudflare.getZoneCacheVariants({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getZoneCacheVariantsOutput(args: GetZoneCacheVariantsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZoneCacheVariantsResult>;
/**
 * A collection of arguments for invoking getZoneCacheVariants.
 */
export interface GetZoneCacheVariantsOutputArgs {
    /**
     * Identifier
     */
    zoneId: pulumi.Input<string>;
}
