import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZoneHold = cloudflare.getZoneHold({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getZoneHold(args: GetZoneHoldArgs, opts?: pulumi.InvokeOptions): Promise<GetZoneHoldResult>;
/**
 * A collection of arguments for invoking getZoneHold.
 */
export interface GetZoneHoldArgs {
    /**
     * Identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getZoneHold.
 */
export interface GetZoneHoldResult {
    readonly hold: boolean;
    readonly holdAfter: string;
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    readonly includeSubdomains: string;
    /**
     * Identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZoneHold = cloudflare.getZoneHold({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getZoneHoldOutput(args: GetZoneHoldOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZoneHoldResult>;
/**
 * A collection of arguments for invoking getZoneHold.
 */
export interface GetZoneHoldOutputArgs {
    /**
     * Identifier.
     */
    zoneId: pulumi.Input<string>;
}
