import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZoneSubscription = cloudflare.getZoneSubscription({
 *     identifier: "506e3185e9c882d175a2d0cb0093d9f2",
 * });
 * ```
 */
export declare function getZoneSubscription(args: GetZoneSubscriptionArgs, opts?: pulumi.InvokeOptions): Promise<GetZoneSubscriptionResult>;
/**
 * A collection of arguments for invoking getZoneSubscription.
 */
export interface GetZoneSubscriptionArgs {
    /**
     * Subscription identifier tag.
     */
    identifier: string;
}
/**
 * A collection of values returned by getZoneSubscription.
 */
export interface GetZoneSubscriptionResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Subscription identifier tag.
     */
    readonly identifier: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZoneSubscription = cloudflare.getZoneSubscription({
 *     identifier: "506e3185e9c882d175a2d0cb0093d9f2",
 * });
 * ```
 */
export declare function getZoneSubscriptionOutput(args: GetZoneSubscriptionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetZoneSubscriptionResult>;
/**
 * A collection of arguments for invoking getZoneSubscription.
 */
export interface GetZoneSubscriptionOutputArgs {
    /**
     * Subscription identifier tag.
     */
    identifier: pulumi.Input<string>;
}
