import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleLogpullRetention = new cloudflare.LogpullRetention("example_logpull_retention", {
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     flag: true,
 * });
 * ```
 */
export declare class LogpullRetention extends pulumi.CustomResource {
    /**
     * Get an existing LogpullRetention resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: LogpullRetentionState, opts?: pulumi.CustomResourceOptions): LogpullRetention;
    /**
     * Returns true if the given object is an instance of LogpullRetention.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is LogpullRetention;
    /**
     * The log retention flag for Logpull API.
     */
    readonly flag: pulumi.Output<boolean | undefined>;
    /**
     * Identifier.
     */
    readonly zoneId: pulumi.Output<string>;
    /**
     * Create a LogpullRetention resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: LogpullRetentionArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering LogpullRetention resources.
 */
export interface LogpullRetentionState {
    /**
     * The log retention flag for Logpull API.
     */
    flag?: pulumi.Input<boolean>;
    /**
     * Identifier.
     */
    zoneId?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a LogpullRetention resource.
 */
export interface LogpullRetentionArgs {
    /**
     * The log retention flag for Logpull API.
     */
    flag?: pulumi.Input<boolean>;
    /**
     * Identifier.
     */
    zoneId: pulumi.Input<string>;
}
