"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.MagicNetworkMonitoringRule = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleMagicNetworkMonitoringRule = new cloudflare.MagicNetworkMonitoringRule("example_magic_network_monitoring_rule", {
 *     accountId: "6f91088a406011ed95aed352566e8d4c",
 *     duration: "1m",
 *     name: "my_rule_1",
 *     automaticAdvertisement: true,
 *     bandwidth: 1000,
 *     packetThreshold: 10000,
 *     prefixes: ["203.0.113.1/32"],
 * });
 * ```
 *
 * ## Import
 *
 * ```sh
 * $ pulumi import cloudflare:index/magicNetworkMonitoringRule:MagicNetworkMonitoringRule example '<account_id>/<rule_id>'
 * ```
 */
class MagicNetworkMonitoringRule extends pulumi.CustomResource {
    /**
     * Get an existing MagicNetworkMonitoringRule resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new MagicNetworkMonitoringRule(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of MagicNetworkMonitoringRule.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === MagicNetworkMonitoringRule.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["accountId"] = state ? state.accountId : undefined;
            resourceInputs["automaticAdvertisement"] = state ? state.automaticAdvertisement : undefined;
            resourceInputs["bandwidth"] = state ? state.bandwidth : undefined;
            resourceInputs["bandwidthThreshold"] = state ? state.bandwidthThreshold : undefined;
            resourceInputs["duration"] = state ? state.duration : undefined;
            resourceInputs["name"] = state ? state.name : undefined;
            resourceInputs["packetThreshold"] = state ? state.packetThreshold : undefined;
            resourceInputs["prefixMatch"] = state ? state.prefixMatch : undefined;
            resourceInputs["prefixes"] = state ? state.prefixes : undefined;
            resourceInputs["type"] = state ? state.type : undefined;
            resourceInputs["zscoreSensitivity"] = state ? state.zscoreSensitivity : undefined;
            resourceInputs["zscoreTarget"] = state ? state.zscoreTarget : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.accountId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'accountId'");
            }
            if ((!args || args.name === undefined) && !opts.urn) {
                throw new Error("Missing required property 'name'");
            }
            resourceInputs["accountId"] = args ? args.accountId : undefined;
            resourceInputs["automaticAdvertisement"] = args ? args.automaticAdvertisement : undefined;
            resourceInputs["bandwidth"] = args ? args.bandwidth : undefined;
            resourceInputs["duration"] = args ? args.duration : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["packetThreshold"] = args ? args.packetThreshold : undefined;
            resourceInputs["prefixes"] = args ? args.prefixes : undefined;
            resourceInputs["bandwidthThreshold"] = undefined /*out*/;
            resourceInputs["prefixMatch"] = undefined /*out*/;
            resourceInputs["type"] = undefined /*out*/;
            resourceInputs["zscoreSensitivity"] = undefined /*out*/;
            resourceInputs["zscoreTarget"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(MagicNetworkMonitoringRule.__pulumiType, name, resourceInputs, opts);
    }
}
exports.MagicNetworkMonitoringRule = MagicNetworkMonitoringRule;
/** @internal */
MagicNetworkMonitoringRule.__pulumiType = 'cloudflare:index/magicNetworkMonitoringRule:MagicNetworkMonitoringRule';
//# sourceMappingURL=magicNetworkMonitoringRule.js.map