"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedTransforms = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleManagedTransforms = new cloudflare.ManagedTransforms("example_managed_transforms", {
 *     zoneId: "9f1839b6152d298aca64c4e906b6d074",
 *     managedRequestHeaders: [{
 *         id: "add_bot_protection_headers",
 *         enabled: true,
 *     }],
 *     managedResponseHeaders: [{
 *         id: "add_security_headers",
 *         enabled: true,
 *     }],
 * });
 * ```
 *
 * ## Import
 *
 * ```sh
 * $ pulumi import cloudflare:index/managedTransforms:ManagedTransforms example '<zone_id>'
 * ```
 */
class ManagedTransforms extends pulumi.CustomResource {
    /**
     * Get an existing ManagedTransforms resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new ManagedTransforms(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ManagedTransforms.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ManagedTransforms.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["managedRequestHeaders"] = state ? state.managedRequestHeaders : undefined;
            resourceInputs["managedResponseHeaders"] = state ? state.managedResponseHeaders : undefined;
            resourceInputs["zoneId"] = state ? state.zoneId : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.managedRequestHeaders === undefined) && !opts.urn) {
                throw new Error("Missing required property 'managedRequestHeaders'");
            }
            if ((!args || args.managedResponseHeaders === undefined) && !opts.urn) {
                throw new Error("Missing required property 'managedResponseHeaders'");
            }
            if ((!args || args.zoneId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'zoneId'");
            }
            resourceInputs["managedRequestHeaders"] = args ? args.managedRequestHeaders : undefined;
            resourceInputs["managedResponseHeaders"] = args ? args.managedResponseHeaders : undefined;
            resourceInputs["zoneId"] = args ? args.zoneId : undefined;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const aliasOpts = { aliases: [{ type: "cloudflare:index/managedHeaders:ManagedHeaders" }] };
        opts = pulumi.mergeOptions(opts, aliasOpts);
        super(ManagedTransforms.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ManagedTransforms = ManagedTransforms;
/** @internal */
ManagedTransforms.__pulumiType = 'cloudflare:index/managedTransforms:ManagedTransforms';
//# sourceMappingURL=managedTransforms.js.map