import * as pulumi from "@pulumi/pulumi";
import * as inputs from "./types/input";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ## Import
 *
 * ```sh
 * $ pulumi import cloudflare:index/teamsAccount:TeamsAccount example '<account_id>'
 * ```
 *
 * @deprecated cloudflare.index/teamsaccount.TeamsAccount has been deprecated in favor of cloudflare.index/zerotrustgatewaysettings.ZeroTrustGatewaySettings
 */
export declare class TeamsAccount extends pulumi.CustomResource {
    /**
     * Get an existing TeamsAccount resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: TeamsAccountState, opts?: pulumi.CustomResourceOptions): TeamsAccount;
    /**
     * Returns true if the given object is an instance of TeamsAccount.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is TeamsAccount;
    readonly accountId: pulumi.Output<string>;
    readonly createdAt: pulumi.Output<string>;
    /**
     * Account settings
     */
    readonly settings: pulumi.Output<outputs.TeamsAccountSettings>;
    readonly updatedAt: pulumi.Output<string>;
    /**
     * Create a TeamsAccount resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    /** @deprecated cloudflare.index/teamsaccount.TeamsAccount has been deprecated in favor of cloudflare.index/zerotrustgatewaysettings.ZeroTrustGatewaySettings */
    constructor(name: string, args: TeamsAccountArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering TeamsAccount resources.
 */
export interface TeamsAccountState {
    accountId?: pulumi.Input<string>;
    createdAt?: pulumi.Input<string>;
    /**
     * Account settings
     */
    settings?: pulumi.Input<inputs.TeamsAccountSettings>;
    updatedAt?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a TeamsAccount resource.
 */
export interface TeamsAccountArgs {
    accountId: pulumi.Input<string>;
    /**
     * Account settings
     */
    settings?: pulumi.Input<inputs.TeamsAccountSettings>;
}
