"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.TurnstileWidget = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleTurnstileWidget = new cloudflare.TurnstileWidget("example_turnstile_widget", {
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     domains: [
 *         "203.0.113.1",
 *         "cloudflare.com",
 *         "blog.example.com",
 *     ],
 *     mode: "invisible",
 *     name: "blog.cloudflare.com login form",
 *     botFightMode: false,
 *     clearanceLevel: "interactive",
 *     ephemeralId: false,
 *     offlabel: false,
 *     region: "world",
 * });
 * ```
 *
 * ## Import
 *
 * ```sh
 * $ pulumi import cloudflare:index/turnstileWidget:TurnstileWidget example '<account_id>/<sitekey>'
 * ```
 */
class TurnstileWidget extends pulumi.CustomResource {
    /**
     * Get an existing TurnstileWidget resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new TurnstileWidget(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of TurnstileWidget.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === TurnstileWidget.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["accountId"] = state ? state.accountId : undefined;
            resourceInputs["botFightMode"] = state ? state.botFightMode : undefined;
            resourceInputs["clearanceLevel"] = state ? state.clearanceLevel : undefined;
            resourceInputs["createdOn"] = state ? state.createdOn : undefined;
            resourceInputs["domains"] = state ? state.domains : undefined;
            resourceInputs["ephemeralId"] = state ? state.ephemeralId : undefined;
            resourceInputs["mode"] = state ? state.mode : undefined;
            resourceInputs["modifiedOn"] = state ? state.modifiedOn : undefined;
            resourceInputs["name"] = state ? state.name : undefined;
            resourceInputs["offlabel"] = state ? state.offlabel : undefined;
            resourceInputs["region"] = state ? state.region : undefined;
            resourceInputs["secret"] = state ? state.secret : undefined;
            resourceInputs["sitekey"] = state ? state.sitekey : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.accountId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'accountId'");
            }
            if ((!args || args.domains === undefined) && !opts.urn) {
                throw new Error("Missing required property 'domains'");
            }
            if ((!args || args.mode === undefined) && !opts.urn) {
                throw new Error("Missing required property 'mode'");
            }
            if ((!args || args.name === undefined) && !opts.urn) {
                throw new Error("Missing required property 'name'");
            }
            resourceInputs["accountId"] = args ? args.accountId : undefined;
            resourceInputs["botFightMode"] = args ? args.botFightMode : undefined;
            resourceInputs["clearanceLevel"] = args ? args.clearanceLevel : undefined;
            resourceInputs["domains"] = args ? args.domains : undefined;
            resourceInputs["ephemeralId"] = args ? args.ephemeralId : undefined;
            resourceInputs["mode"] = args ? args.mode : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["offlabel"] = args ? args.offlabel : undefined;
            resourceInputs["region"] = args ? args.region : undefined;
            resourceInputs["createdOn"] = undefined /*out*/;
            resourceInputs["modifiedOn"] = undefined /*out*/;
            resourceInputs["secret"] = undefined /*out*/;
            resourceInputs["sitekey"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const secretOpts = { additionalSecretOutputs: ["secret"] };
        opts = pulumi.mergeOptions(opts, secretOpts);
        super(TurnstileWidget.__pulumiType, name, resourceInputs, opts);
    }
}
exports.TurnstileWidget = TurnstileWidget;
/** @internal */
TurnstileWidget.__pulumiType = 'cloudflare:index/turnstileWidget:TurnstileWidget';
//# sourceMappingURL=turnstileWidget.js.map