"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZeroTrustAccessKeyConfiguration = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustAccessKeyConfiguration = new cloudflare.ZeroTrustAccessKeyConfiguration("example_zero_trust_access_key_configuration", {
 *     accountId: "023e105f4ecef8ad9ca31a8372d0c353",
 *     keyRotationIntervalDays: 30,
 * });
 * ```
 *
 * ## Import
 *
 * ```sh
 * $ pulumi import cloudflare:index/zeroTrustAccessKeyConfiguration:ZeroTrustAccessKeyConfiguration example '<account_id>'
 * ```
 */
class ZeroTrustAccessKeyConfiguration extends pulumi.CustomResource {
    /**
     * Get an existing ZeroTrustAccessKeyConfiguration resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new ZeroTrustAccessKeyConfiguration(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ZeroTrustAccessKeyConfiguration.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ZeroTrustAccessKeyConfiguration.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["accountId"] = state ? state.accountId : undefined;
            resourceInputs["daysUntilNextRotation"] = state ? state.daysUntilNextRotation : undefined;
            resourceInputs["keyRotationIntervalDays"] = state ? state.keyRotationIntervalDays : undefined;
            resourceInputs["lastKeyRotationAt"] = state ? state.lastKeyRotationAt : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.accountId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'accountId'");
            }
            if ((!args || args.keyRotationIntervalDays === undefined) && !opts.urn) {
                throw new Error("Missing required property 'keyRotationIntervalDays'");
            }
            resourceInputs["accountId"] = args ? args.accountId : undefined;
            resourceInputs["keyRotationIntervalDays"] = args ? args.keyRotationIntervalDays : undefined;
            resourceInputs["daysUntilNextRotation"] = undefined /*out*/;
            resourceInputs["lastKeyRotationAt"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const aliasOpts = { aliases: [{ type: "cloudflare:index/accessKeysConfiguration:AccessKeysConfiguration" }] };
        opts = pulumi.mergeOptions(opts, aliasOpts);
        super(ZeroTrustAccessKeyConfiguration.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ZeroTrustAccessKeyConfiguration = ZeroTrustAccessKeyConfiguration;
/** @internal */
ZeroTrustAccessKeyConfiguration.__pulumiType = 'cloudflare:index/zeroTrustAccessKeyConfiguration:ZeroTrustAccessKeyConfiguration';
//# sourceMappingURL=zeroTrustAccessKeyConfiguration.js.map