import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustDeviceDefaultProfileCertificates = new cloudflare.ZeroTrustDeviceDefaultProfileCertificates("example_zero_trust_device_default_profile_certificates", {
 *     zoneId: "699d98642c564d2e855e9661899b7252",
 *     enabled: true,
 * });
 * ```
 */
export declare class ZeroTrustDeviceDefaultProfileCertificates extends pulumi.CustomResource {
    /**
     * Get an existing ZeroTrustDeviceDefaultProfileCertificates resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: ZeroTrustDeviceDefaultProfileCertificatesState, opts?: pulumi.CustomResourceOptions): ZeroTrustDeviceDefaultProfileCertificates;
    /**
     * Returns true if the given object is an instance of ZeroTrustDeviceDefaultProfileCertificates.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is ZeroTrustDeviceDefaultProfileCertificates;
    /**
     * The current status of the device policy certificate provisioning feature for WARP clients.
     */
    readonly enabled: pulumi.Output<boolean>;
    readonly zoneId: pulumi.Output<string>;
    /**
     * Create a ZeroTrustDeviceDefaultProfileCertificates resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: ZeroTrustDeviceDefaultProfileCertificatesArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering ZeroTrustDeviceDefaultProfileCertificates resources.
 */
export interface ZeroTrustDeviceDefaultProfileCertificatesState {
    /**
     * The current status of the device policy certificate provisioning feature for WARP clients.
     */
    enabled?: pulumi.Input<boolean>;
    zoneId?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a ZeroTrustDeviceDefaultProfileCertificates resource.
 */
export interface ZeroTrustDeviceDefaultProfileCertificatesArgs {
    /**
     * The current status of the device policy certificate provisioning feature for WARP clients.
     */
    enabled: pulumi.Input<boolean>;
    zoneId: pulumi.Input<string>;
}
