"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZeroTrustGatewayLogging = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustGatewayLogging = new cloudflare.ZeroTrustGatewayLogging("example_zero_trust_gateway_logging", {
 *     accountId: "699d98642c564d2e855e9661899b7252",
 *     redactPii: true,
 *     settingsByRuleType: {
 *         dns: {
 *             logAll: false,
 *             logBlocks: true,
 *         },
 *         http: {
 *             logAll: false,
 *             logBlocks: true,
 *         },
 *         l4: {
 *             logAll: false,
 *             logBlocks: true,
 *         },
 *     },
 * });
 * ```
 */
class ZeroTrustGatewayLogging extends pulumi.CustomResource {
    /**
     * Get an existing ZeroTrustGatewayLogging resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new ZeroTrustGatewayLogging(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ZeroTrustGatewayLogging.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ZeroTrustGatewayLogging.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["accountId"] = state ? state.accountId : undefined;
            resourceInputs["redactPii"] = state ? state.redactPii : undefined;
            resourceInputs["settingsByRuleType"] = state ? state.settingsByRuleType : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.accountId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'accountId'");
            }
            resourceInputs["accountId"] = args ? args.accountId : undefined;
            resourceInputs["redactPii"] = args ? args.redactPii : undefined;
            resourceInputs["settingsByRuleType"] = args ? args.settingsByRuleType : undefined;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(ZeroTrustGatewayLogging.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ZeroTrustGatewayLogging = ZeroTrustGatewayLogging;
/** @internal */
ZeroTrustGatewayLogging.__pulumiType = 'cloudflare:index/zeroTrustGatewayLogging:ZeroTrustGatewayLogging';
//# sourceMappingURL=zeroTrustGatewayLogging.js.map