import * as pulumi from "@pulumi/pulumi";
import * as inputs from "./types/input";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ## Import
 *
 * ```sh
 * $ pulumi import cloudflare:index/zeroTrustGatewaySettings:ZeroTrustGatewaySettings example '<account_id>'
 * ```
 */
export declare class ZeroTrustGatewaySettings extends pulumi.CustomResource {
    /**
     * Get an existing ZeroTrustGatewaySettings resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, state?: ZeroTrustGatewaySettingsState, opts?: pulumi.CustomResourceOptions): ZeroTrustGatewaySettings;
    /**
     * Returns true if the given object is an instance of ZeroTrustGatewaySettings.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is ZeroTrustGatewaySettings;
    readonly accountId: pulumi.Output<string>;
    readonly createdAt: pulumi.Output<string>;
    /**
     * Account settings
     */
    readonly settings: pulumi.Output<outputs.ZeroTrustGatewaySettingsSettings>;
    readonly updatedAt: pulumi.Output<string>;
    /**
     * Create a ZeroTrustGatewaySettings resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: ZeroTrustGatewaySettingsArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * Input properties used for looking up and filtering ZeroTrustGatewaySettings resources.
 */
export interface ZeroTrustGatewaySettingsState {
    accountId?: pulumi.Input<string>;
    createdAt?: pulumi.Input<string>;
    /**
     * Account settings
     */
    settings?: pulumi.Input<inputs.ZeroTrustGatewaySettingsSettings>;
    updatedAt?: pulumi.Input<string>;
}
/**
 * The set of arguments for constructing a ZeroTrustGatewaySettings resource.
 */
export interface ZeroTrustGatewaySettingsArgs {
    accountId: pulumi.Input<string>;
    /**
     * Account settings
     */
    settings?: pulumi.Input<inputs.ZeroTrustGatewaySettingsSettings>;
}
