"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZeroTrustRiskBehavior = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustRiskBehavior = new cloudflare.ZeroTrustRiskBehavior("example_zero_trust_risk_behavior", {
 *     accountId: "account_id",
 *     behaviors: {
 *         foo: {
 *             enabled: true,
 *             riskLevel: "low",
 *         },
 *     },
 * });
 * ```
 */
class ZeroTrustRiskBehavior extends pulumi.CustomResource {
    /**
     * Get an existing ZeroTrustRiskBehavior resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new ZeroTrustRiskBehavior(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ZeroTrustRiskBehavior.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ZeroTrustRiskBehavior.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["accountId"] = state ? state.accountId : undefined;
            resourceInputs["behaviors"] = state ? state.behaviors : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.accountId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'accountId'");
            }
            if ((!args || args.behaviors === undefined) && !opts.urn) {
                throw new Error("Missing required property 'behaviors'");
            }
            resourceInputs["accountId"] = args ? args.accountId : undefined;
            resourceInputs["behaviors"] = args ? args.behaviors : undefined;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const aliasOpts = { aliases: [{ type: "cloudflare:index/riskBehavior:RiskBehavior" }] };
        opts = pulumi.mergeOptions(opts, aliasOpts);
        super(ZeroTrustRiskBehavior.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ZeroTrustRiskBehavior = ZeroTrustRiskBehavior;
/** @internal */
ZeroTrustRiskBehavior.__pulumiType = 'cloudflare:index/zeroTrustRiskBehavior:ZeroTrustRiskBehavior';
//# sourceMappingURL=zeroTrustRiskBehavior.js.map