"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZeroTrustRiskScoringIntegration = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleZeroTrustRiskScoringIntegration = new cloudflare.ZeroTrustRiskScoringIntegration("example_zero_trust_risk_scoring_integration", {
 *     accountId: "account_id",
 *     integrationType: "Okta",
 *     tenantUrl: "https://example.com",
 *     referenceId: "reference_id",
 * });
 * ```
 *
 * ## Import
 *
 * ```sh
 * $ pulumi import cloudflare:index/zeroTrustRiskScoringIntegration:ZeroTrustRiskScoringIntegration example '<account_id>/<integration_id>'
 * ```
 */
class ZeroTrustRiskScoringIntegration extends pulumi.CustomResource {
    /**
     * Get an existing ZeroTrustRiskScoringIntegration resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new ZeroTrustRiskScoringIntegration(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ZeroTrustRiskScoringIntegration.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ZeroTrustRiskScoringIntegration.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["accountId"] = state ? state.accountId : undefined;
            resourceInputs["accountTag"] = state ? state.accountTag : undefined;
            resourceInputs["active"] = state ? state.active : undefined;
            resourceInputs["createdAt"] = state ? state.createdAt : undefined;
            resourceInputs["integrationType"] = state ? state.integrationType : undefined;
            resourceInputs["referenceId"] = state ? state.referenceId : undefined;
            resourceInputs["tenantUrl"] = state ? state.tenantUrl : undefined;
            resourceInputs["wellKnownUrl"] = state ? state.wellKnownUrl : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.accountId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'accountId'");
            }
            if ((!args || args.integrationType === undefined) && !opts.urn) {
                throw new Error("Missing required property 'integrationType'");
            }
            if ((!args || args.tenantUrl === undefined) && !opts.urn) {
                throw new Error("Missing required property 'tenantUrl'");
            }
            resourceInputs["accountId"] = args ? args.accountId : undefined;
            resourceInputs["active"] = args ? args.active : undefined;
            resourceInputs["integrationType"] = args ? args.integrationType : undefined;
            resourceInputs["referenceId"] = args ? args.referenceId : undefined;
            resourceInputs["tenantUrl"] = args ? args.tenantUrl : undefined;
            resourceInputs["accountTag"] = undefined /*out*/;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["wellKnownUrl"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(ZeroTrustRiskScoringIntegration.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ZeroTrustRiskScoringIntegration = ZeroTrustRiskScoringIntegration;
/** @internal */
ZeroTrustRiskScoringIntegration.__pulumiType = 'cloudflare:index/zeroTrustRiskScoringIntegration:ZeroTrustRiskScoringIntegration';
//# sourceMappingURL=zeroTrustRiskScoringIntegration.js.map